

#ifndef _PROJECT_H_
#define _PROJECT_H_

#define PROJECT_NAME GV148


//
//  Fri Sep 24 09:50:03 2021 S1004.860
//
//   This file is autogenerated and should not be edited by hand.  Check the
// Makefile to see which source file requires changing instead.
//


#define INT16 short int
#define UINT16 unsigned short
#define LONG long int
#define ULONG unsigned long
#define INT64 long long int
#define UINT64 unsigned long long
#define FLOAT float
#define STRING char

#define STUPID(YY) #YY
#define STRINGIFY(XX) STUPID(XX)

#define TOTAL_NUM_RECIPES (ST_NUM_RECIPES+1)
#define TOTAL_NUM_CHEMISTRIES (ST_NUM_CHEMISTRIES+1)

#define STR_VALUE(SS) #SS


#if defined(__cplusplus)
#define PACKED
#else
#define PACKED /(2/(sizeof(int)/sizeof(char)))
#endif

extern const int known_modules[];


typedef struct index_offset_table_type {
  const unsigned short Offset;
  const unsigned short Size;
} INDEX_OFFSET_TABLE;



#define MAX_NUM_ERROR_MAP 24
typedef struct error_map_structure_type {
		unsigned short Code;	// return code
		unsigned short Index;	// Index of field where error occured
} ERROR_MAP;
#define SIZE_ERROR_MAP sizeof(ERROR_MAP)
extern int* WriteData;
extern ERROR_MAP error_map[MAX_NUM_ERROR_MAP];
extern int map_errors;
extern void add_map_error(unsigned short code, unsigned short index);
#define CHECK_LO(SS,FF) if (dp->FF < ST_BOUND_##SS##_##FF##_LO) add_map_error(ST_RET_BOUNDS_LOW, BOUNDS_INDEX_##SS##_##FF)
#define CHECK_HI(SS,FF) if (dp->FF > ST_BOUND_##SS##_##FF##_HI) add_map_error(ST_RET_BOUNDS_HIGH, BOUNDS_INDEX_##SS##_##FF)

#define MAX_BAUDRATE_CNT  4

typedef struct baud_struct  { unsigned short module; unsigned long baudrate[MAX_BAUDRATE_CNT]; } BAUD_TABLE;
extern BAUD_TABLE baud_rates[];


//---------------------------------------------------------------------------------------------------------
//
//  Configuration
//
#define AlarmPrefix ST_ALARM_
#define BAUD_RATE 57600
#define BoundsPrefix ST_BOUND_
#define COMM_PORT 1
#define CmdPrefix ST_CMD_
#define DiagPrefix ST_DIAG_
#define IS_RELEASE YES
#define LogPrefix ST_LOG_
#define MAJOR_VERSION 1004
#define ModuleTypePrefix MODULE_TYPE_
#define PROJECT_NAME GV148
#define PumpDefinesPrefix ST_
#define RELEASE_NAME S1004
#define ReturnPrefix ST_RET_
#define SensorErrorsPrefix ST_
#define StatusPrefix ST_STATUS_
#define TracesPrefix ST_TRACE_
#define VERSION_MODIFIERS _


//---------------------------------------------------------------------------------------------------------
//
//  Pump Defines
//
#define ST_ACCESS_LEVEL_ENGINEER 2
#define ST_ACCESS_LEVEL_NONE 0
#define ST_ACCESS_LEVEL_OPERATOR 1
#define ST_ACCESS_LEVEL_OWNER 3
#define ST_ALARM_LEVEL_CRITICAL 4
#define ST_ALARM_LEVEL_ERROR 3
#define ST_ALARM_LEVEL_INFO 1
#define ST_ALARM_LEVEL_NONE 0
#define ST_ALARM_LEVEL_WARNING 2
#define ST_CONCN_RI_ALGORITHM_1STORDER 1
#define ST_CONCN_RI_ALGORITHM_2NDORDER 2
#define ST_CONCN_RI_ALGORITHM_3RDORDER 3
#define ST_CONCN_RI_ALGORITHM_SEGMENTS 0
#define ST_CONCN_RI_ALGORITHM_USER 4
#define ST_CONCN_SAMPLES 30
#define ST_DC_ALARM_ERROR 2
#define ST_DC_ALARM_HIDE 3
#define ST_DC_ALARM_NONE 0
#define ST_DC_ALARM_WARNING 1
#define ST_DC_TEST_GREATER_THEN 2
#define ST_DC_TEST_LESS_THEN 1
#define ST_ESENSOR_AIRCURVE 1
#define ST_ESENSOR_DARKCURVE 0
#define ST_ESENSOR_LIGHTCURVE 2
#define ST_FORCE_RESET_AIR_REFERENCE 32
#define ST_FORCE_RESET_ALARM_LEVELS 512
#define ST_FORCE_RESET_ANALOG_PARAMETERS 134217728
#define ST_FORCE_RESET_CONCN_CALIBRATION 64
#define ST_FORCE_RESET_CONFIRMATION_LIMITS 1024
#define ST_FORCE_RESET_CYCLE_INFO 2048
#define ST_FORCE_RESET_ENGINEERING_PARAMETERS 8
#define ST_FORCE_RESET_ESENSOR_DEFAULTS 2147483648
#define ST_FORCE_RESET_LOG 4096
#define ST_FORCE_RESET_MOTOR_CALIBRATION 256
#define ST_FORCE_RESET_RITEMPCOMP_CALIBRATION_1 16384
#define ST_FORCE_RESET_RITEMPCOMP_CALIBRATION_10 8388608
#define ST_FORCE_RESET_RITEMPCOMP_CALIBRATION_11 16777216
#define ST_FORCE_RESET_RITEMPCOMP_CALIBRATION_12 33554432
#define ST_FORCE_RESET_RITEMPCOMP_CALIBRATION_2 32768
#define ST_FORCE_RESET_RITEMPCOMP_CALIBRATION_3 65536
#define ST_FORCE_RESET_RITEMPCOMP_CALIBRATION_4 131072
#define ST_FORCE_RESET_RITEMPCOMP_CALIBRATION_5 262144
#define ST_FORCE_RESET_RITEMPCOMP_CALIBRATION_6 524288
#define ST_FORCE_RESET_RITEMPCOMP_CALIBRATION_7 1048576
#define ST_FORCE_RESET_RITEMPCOMP_CALIBRATION_8 2097152
#define ST_FORCE_RESET_RITEMPCOMP_CALIBRATION_9 4194304
#define ST_FORCE_RESET_SENSOR_CALIBRATION 4
#define ST_FORCE_RESET_SENSOR_SERIALNUMBER 2
#define ST_FORCE_RESET_SERIAL_NUMBERS 1
#define ST_FORCE_RESET_SYSTEM_NAMES 8192
#define ST_FORCE_RESET_SYSTEM_PARAMETERS 16
#define ST_FORCE_RESET_TEST_INFORMATION 128
#define ST_HIGHEST_PERSONALITY 0
#define ST_INDICATOR_BUSY 2
#define ST_INDICATOR_CRITICAL_ERROR 16
#define ST_INDICATOR_ERROR 8
#define ST_INDICATOR_FILLING 32
#define ST_INDICATOR_READY 1
#define ST_INDICATOR_WARNING 4
#define ST_INPUT_CHEMISTRY_TCC_TOGGLE 30uLL
#define ST_INPUT_CLEARERROR 16uLL
#define ST_INPUT_ENGINEERING_1 31uLL
#define ST_INPUT_NEXT_32 32uLL
#define ST_INPUT_NO_TRIGGER 0uLL
#define ST_INPUT_REINITIALIZE 18uLL
#define ST_INPUT_RI_REZERO 9uLL
#define ST_INPUT_TRIGGER1 1uLL
#define ST_INPUT_TRIGGER2 2uLL
#define ST_INPUT_TRIGGER3 3uLL
#define ST_INPUT_TRIGGER4 4uLL
#define ST_INPUT_TRIGGER5 5uLL
#define ST_INPUT_TRIGGER6 6uLL
#define ST_INPUT_TRIGGER7 7uLL
#define ST_INPUT_TRIGGER8 8uLL
#define ST_ITERATIONS_BEFORE_WARNING 50
#define ST_LED_INTENSITY_MAX 3000
#define ST_LOWER_TEMPERATURE_LIMIT 10
#define ST_LOWER_TEMPERATURE_SPECIFICATION 20
#define ST_LOWEST_PERSONALITY 0
#define ST_LOW_VOLTAGE_LIMIT 2234
#define ST_MAX_PP2RI_CALTABLE_SIZE 25
#define ST_MODULE_COMMAND_INIT_AIN_CAL_MAX 6
#define ST_MODULE_COMMAND_INIT_AIN_CAL_MIN 5
#define ST_MODULE_COMMAND_INIT_AOUT_CAL_MAX 8
#define ST_MODULE_COMMAND_INIT_AOUT_CAL_MIN 7
#define ST_MODULE_COMMAND_NO_REQUEST 0
#define ST_MODULE_COMMAND_REQUEST_AIN_CAL_MAX 2
#define ST_MODULE_COMMAND_REQUEST_AIN_CAL_MIN 1
#define ST_MODULE_COMMAND_REQUEST_AOUT_CAL_MAX 4
#define ST_MODULE_COMMAND_REQUEST_AOUT_CAL_MIN 3
#define ST_NOISE_REDUCTION_AND_TRANSIENT_REDUCTION_METHOD_2 3
#define ST_NOISE_REDUCTION_AND_TRANSIENT_REDUCTION_METHOD_3 1
#define ST_NOISE_REDUCTION_ONLY 0
#define ST_NUM_ASSIGN_BITS 64
#define ST_NUM_CHEMISTRIES 12
#define ST_NUM_DISPENSE_SEGMENTS 5
#define ST_NUM_RECIPES 12
#define ST_NUM_TRACES 6
#define ST_NUM_TRACES_COMBINED 4
#define ST_OUTPUT_COMMS 28uLL
#define ST_OUTPUT_ERROR 1uLL
#define ST_OUTPUT_ERROR_OR_WARN 6uLL
#define ST_OUTPUT_FALSE 29uLL
#define ST_OUTPUT_HEARTBEAT 31uLL
#define ST_OUTPUT_INIT 5uLL
#define ST_OUTPUT_NEXT_32 32uLL
#define ST_OUTPUT_READY 0uLL
#define ST_OUTPUT_SENSOR_WARNING 7uLL
#define ST_OUTPUT_STEP_RESPONSE 10uLL
#define ST_OUTPUT_TRUE 30uLL
#define ST_OUTPUT_WARNING 4uLL
#define ST_PDA_SIZE 128
#define ST_PRIMNG_CYCLE_TYPE_BACKFLUSH_INLET 8
#define ST_PRIMNG_CYCLE_TYPE_BACKFLUSH_VENT 7
#define ST_PRIMNG_CYCLE_TYPE_FILTER_FLUSH 9
#define ST_PRIMNG_CYCLE_TYPE_INLET 5
#define ST_PRIMNG_CYCLE_TYPE_LOOP 1
#define ST_PRIMNG_CYCLE_TYPE_MAX 9
#define ST_PRIMNG_CYCLE_TYPE_NONE 0
#define ST_PRIMNG_CYCLE_TYPE_OUTLET 3
#define ST_PRIMNG_CYCLE_TYPE_PURGE 4
#define ST_PRIMNG_CYCLE_TYPE_SOAK 6
#define ST_PRIMNG_CYCLE_TYPE_VENT 2
#define ST_PRODUCT_CODE_QUALIFIER 6789
#define ST_PRODUCT_ID_GV148 0
#define ST_PROFILE_TYPE_SELFTEST_ANALOG_OUTPUTS 32
#define ST_PROFILE_TYPE_SELFTEST_RI_REZERO 30
#define ST_PROFILE_TYPE_SELFTEST_TEMP_REZERO 31
#define ST_PROFILE_TYPE_UNKNOWN 0
#define ST_PROFILE_TYPE_USER_INITIATED 1
#define ST_REALTIME_GRAPH_LEFT_AXIS_MAX 1.4
#define ST_REALTIME_GRAPH_LEFT_AXIS_MIN 1.3
#define ST_REALTIME_GRAPH_RIGHT_AXIS_MAX 60
#define ST_REALTIME_GRAPH_RIGHT_AXIS_MIN -30
#define ST_RI_REZERO_ACCURACY_NEGATIVE -0.0002
#define ST_RI_REZERO_ACCURACY_POSITIVE 0.0002
#define ST_RI_REZERO_OFFSET_MAX_NEGATIVE -0.02
#define ST_RI_REZERO_OFFSET_MAX_POSITIVE 0.02
#define ST_SENSOR_DBZP 2
#define ST_SENSOR_INITIALIZATION_FAIL_BAD_AIR_REFERENCE 7
#define ST_SENSOR_INITIALIZATION_FAIL_DARK_READING 4
#define ST_SENSOR_INITIALIZATION_FAIL_LIGHT_READING 3
#define ST_SENSOR_INITIALIZATION_FAIL_MAXCURRENT 5
#define ST_SENSOR_INITIALIZATION_FAIL_TIMEOUT 6
#define ST_SENSOR_INITIALIZATION_IN_PROCESS 1
#define ST_SENSOR_INITIALIZATION_NOT_ATTEMPTED 0
#define ST_SENSOR_INITIALIZATION_SUCCESSFUL 2
#define ST_SENSOR_INIT_INCOMPLETE 0
#define ST_SENSOR_INIT_SUCCESSFUL 1
#define ST_SENSOR_LOWER_BOUNDS_CONCN -10000
#define ST_SENSOR_LOWER_BOUNDS_RI_nD 1.28
#define ST_SENSOR_LOWER_DEFAULT_CONCN 0
#define ST_SENSOR_LOWER_DEFAULT_RI_nD 1.332987
#define ST_SENSOR_NECP 1
#define ST_SENSOR_NECP_DBZP 3
#define ST_SENSOR_READY 0
#define ST_SENSOR_UPPER_BOUNDS_CONCN 10000
#define ST_SENSOR_UPPER_BOUNDS_RI_nD 1.44
#define ST_SENSOR_UPPER_DEFAULT_CONCN 10
#define ST_SENSOR_UPPER_DEFAULT_RI_nD 1.35
#define ST_SPI_PACKET_TYPE_AIN_CAL_MAX 2
#define ST_SPI_PACKET_TYPE_AIN_CAL_MIN 1
#define ST_SPI_PACKET_TYPE_AOUT_CAL_MAX 4
#define ST_SPI_PACKET_TYPE_AOUT_CAL_MIN 3
#define ST_SPI_PACKET_TYPE_DATA 0
#define ST_STATE_ESENSOR_ERROR_READING_ADC 1
#define ST_STATE_ESENSOR_INITIALIZATION 2
#define ST_STATE_ESENSOR_NORMAL 0
#define ST_SUBSTATE_ESENSOR_INITIALIZATION_AIR_REFERENCE_ERROR 4
#define ST_SUBSTATE_ESENSOR_INITIALIZATION_DARK_READING_ERROR 1
#define ST_SUBSTATE_ESENSOR_INITIALIZATION_LIGHT_READING_ERROR 2
#define ST_SUBSTATE_ESENSOR_INITIALIZATION_OVERCURRENT 3
#define ST_SUBSTATE_ESENSOR_INITIALIZATION_SUCCESS 0
#define ST_TEMPERATURE_REZERO_OFFSET_MAX_NEGATIVE -3
#define ST_TEMPERATURE_REZERO_OFFSET_MAX_POSITIVE 3
#define ST_TEMPERATURE_REZERO_THRESHOLD_NEGATIVE -0.5
#define ST_TEMPERATURE_REZERO_THRESHOLD_POSITIVE 0.5
#define ST_THERMISTOR_OPEN_STATE 59000
#define ST_THERMISTOR_SHORTED_STATE 4000
#define ST_THIS_COMMS_VERSION 0
#define ST_TRACE_ENCODING_ERL16 1
#define ST_TRACE_ENCODING_NONE 0
#define ST_TRANSIENT_REDUCTION_METHOD_3_AND_NOISE_REDUCTION 2
#define ST_UPPER_TEMPERATURE_LIMIT 50
#define ST_UPPER_TEMPERATURE_SPECIFICATION 40


//---------------------------------------------------------------------------------------------------------
//
//  Return Codes
//
#define ST_RET_BAD_AIR_REFERENCE 95
#define ST_RET_BAD_CHEMISTRY_NUMBER 70
#define ST_RET_BAD_CMD 2
#define ST_RET_BAD_CRC 3
#define ST_RET_BAD_CURVE_NUM 84
#define ST_RET_BAD_DIAG 8
#define ST_RET_BAD_PASSWORD 33
#define ST_RET_BAD_SIZE 1
#define ST_RET_BAD_STEP_CHANGE 71
#define ST_RET_BAD_SVID 13
#define ST_RET_BOUNDS_HIGH 10
#define ST_RET_BOUNDS_LOW 11
#define ST_RET_BUSY 6
#define ST_RET_CODE_MAX 255
#define ST_RET_COMM_ERROR 4
#define ST_RET_DATAFLASH_CHIPERROR 27
#define ST_RET_DATAFLASH_CRC_ERROR 25
#define ST_RET_DATAFLASH_ERROR 23
#define ST_RET_DATAFLASH_READ_SIZE_ERROR 26
#define ST_RET_DATAFLASH_VERIFY_ERROR 24
#define ST_RET_DECODING_ERROR 29
#define ST_RET_DIAG_FAIL 9
#define ST_RET_DUPLICATE_ENTRY_IN_TABLE 91
#define ST_RET_EEPROM_BUSY 36
#define ST_RET_EEPROM_CRC_ERROR 35
#define ST_RET_EEPROM_ERROR 34
#define ST_RET_FIRMWARE_BAD_CRC 21
#define ST_RET_FIRMWARE_DUPLICATE 18
#define ST_RET_FIRMWARE_ILLEGAL_ADDRESS 15
#define ST_RET_FIRMWARE_NOT_SEQUENTIAL 19
#define ST_RET_FIRMWARE_NO_SEGMENT 17
#define ST_RET_FIRMWARE_SEGMENT_OVERLAP 16
#define ST_RET_FIRMWARE_TOO_MANY_SEGMENTS 14
#define ST_RET_FIRMWARE_VALIDATION 22
#define ST_RET_FIRMWARE_WRONG_NUMSEGMENTS 20
#define ST_RET_INTERNAL 7
#define ST_RET_INVALID_ENTRY_IN_TABLE 90
#define ST_RET_LOWER_CONCN_BOUND_EXCEEDED 88
#define ST_RET_LOWER_RI_BOUND_EXCEEDED 86
#define ST_RET_MODULE_NV_ERRORS 39
#define ST_RET_MODULE_NV_TIMEOUT 38
#define ST_RET_MODULE_NV_VERIFY_ERROR 40
#define ST_RET_MODULE_REQUEST_IN_PROCESS 37
#define ST_RET_NEGATIVE_SLOPE_ENTERED 92
#define ST_RET_NO_RECORDS 28
#define ST_RET_NV_ERROR 5
#define ST_RET_OK 0
#define ST_RET_PROFILE_CYCLE 30
#define ST_RET_PROFILE_START 31
#define ST_RET_SENSOR_ADC_BUSY_NOT_RESPONDING 103
#define ST_RET_SENSOR_DARK_READING_ERROR 97
#define ST_RET_SENSOR_DIVIDEBYZEROPIXELS_ERROR 99
#define ST_RET_SENSOR_INITIALIZATION_INCOMPLETE 101
#define ST_RET_SENSOR_INITIALIZATION_INCOMPLETE_MAXCURRENT 104
#define ST_RET_SENSOR_INIT_BUSY 94
#define ST_RET_SENSOR_IN_AIR_ERROR 100
#define ST_RET_SENSOR_IN_ERROR 96
#define ST_RET_SENSOR_LIGHT_READING_ERROR 102
#define ST_RET_SENSOR_TEMP_ERROR 98
#define ST_RET_SERIAL_TRIGGER_DISABLED 32
#define ST_RET_SINGLE_VALID_ENTRY 93
#define ST_RET_SVID_TOO_MANY 12
#define ST_RET_TOTAL_VOLUME_HIGH 77
#define ST_RET_TOTAL_VOLUME_LOW 76
#define ST_RET_UPPER_CONCN_BOUND_EXCEEDED 89
#define ST_RET_UPPER_RI_BOUND_EXCEEDED 87


//---------------------------------------------------------------------------------------------------------
//
//  Modules
//
#define MODULE_TYPE_INTERNAL_GV148_TYPE_0 50
#define MODULE_TYPE_INTERNAL_GV148_TYPE_1 51
#define MODULE_TYPE_INTERNAL_GV148_TYPE_10 60
#define MODULE_TYPE_INTERNAL_GV148_TYPE_11 61
#define MODULE_TYPE_INTERNAL_GV148_TYPE_12 62
#define MODULE_TYPE_INTERNAL_GV148_TYPE_13 63
#define MODULE_TYPE_INTERNAL_GV148_TYPE_14 64
#define MODULE_TYPE_INTERNAL_GV148_TYPE_15 65
#define MODULE_TYPE_INTERNAL_GV148_TYPE_2 52
#define MODULE_TYPE_INTERNAL_GV148_TYPE_3 53
#define MODULE_TYPE_INTERNAL_GV148_TYPE_4 54
#define MODULE_TYPE_INTERNAL_GV148_TYPE_5 55
#define MODULE_TYPE_INTERNAL_GV148_TYPE_6 56
#define MODULE_TYPE_INTERNAL_GV148_TYPE_7 57
#define MODULE_TYPE_INTERNAL_GV148_TYPE_8 58
#define MODULE_TYPE_INTERNAL_GV148_TYPE_9 59
#define MODULE_TYPE_INTERNAL_ICON_TYPE_0 10
#define MODULE_TYPE_INTERNAL_ICON_TYPE_1 11
#define MODULE_TYPE_INTERNAL_ICON_TYPE_10 20
#define MODULE_TYPE_INTERNAL_ICON_TYPE_11 21
#define MODULE_TYPE_INTERNAL_ICON_TYPE_12 22
#define MODULE_TYPE_INTERNAL_ICON_TYPE_13 23
#define MODULE_TYPE_INTERNAL_ICON_TYPE_14 24
#define MODULE_TYPE_INTERNAL_ICON_TYPE_15 25
#define MODULE_TYPE_INTERNAL_ICON_TYPE_2 12
#define MODULE_TYPE_INTERNAL_ICON_TYPE_3 13
#define MODULE_TYPE_INTERNAL_ICON_TYPE_4 14
#define MODULE_TYPE_INTERNAL_ICON_TYPE_5 15
#define MODULE_TYPE_INTERNAL_ICON_TYPE_6 16
#define MODULE_TYPE_INTERNAL_ICON_TYPE_7 17
#define MODULE_TYPE_INTERNAL_ICON_TYPE_8 18
#define MODULE_TYPE_INTERNAL_ICON_TYPE_9 19
#define MODULE_TYPE_LAB_BOX_TYPE_0 30
#define MODULE_TYPE_LAB_BOX_TYPE_1 31


//---------------------------------------------------------------------------------------------------------
//
//  Status Codes
//
#define ST_STATUS_ANALOG_OUTPUTS_TEST_0 1900
#define ST_STATUS_ANALOG_OUTPUTS_TEST_1 1901
#define ST_STATUS_ANALOG_OUTPUTS_TEST_10 1910
#define ST_STATUS_ANALOG_OUTPUTS_TEST_2 1902
#define ST_STATUS_ANALOG_OUTPUTS_TEST_3 1903
#define ST_STATUS_ANALOG_OUTPUTS_TEST_4 1904
#define ST_STATUS_ANALOG_OUTPUTS_TEST_5 1905
#define ST_STATUS_ANALOG_OUTPUTS_TEST_6 1906
#define ST_STATUS_ANALOG_OUTPUTS_TEST_7 1907
#define ST_STATUS_ANALOG_OUTPUTS_TEST_8 1908
#define ST_STATUS_ANALOG_OUTPUTS_TEST_9 1909
#define ST_STATUS_CLEAR_ERROR_PENDING 4990
#define ST_STATUS_DOWNLOAD_FIRMWARE 4995
#define ST_STATUS_END_CYCLE 150
#define ST_STATUS_ERROR 9998
#define ST_STATUS_ERROR_CRITICAL 9999
#define ST_STATUS_FIXED_TRIGGER_DELAY 35
#define ST_STATUS_INIT_PENDING 1000
#define ST_STATUS_INIT_START 1001
#define ST_STATUS_INIT_STEP_1 1002
#define ST_STATUS_INIT_STEP_2 1003
#define ST_STATUS_MAINTENANCE_MODE 8888
#define ST_STATUS_MAINTENANCE_MODE_TIMEOUT 8887
#define ST_STATUS_OPERATION_PENDING 1
#define ST_STATUS_PROFILING_0 101
#define ST_STATUS_PROFILING_1 102
#define ST_STATUS_PROFILING_2 103
#define ST_STATUS_PROFILING_3 104
#define ST_STATUS_PROFILING_4 105
#define ST_STATUS_READY 0
#define ST_STATUS_RECIPE_SEGMENT_1 40
#define ST_STATUS_RECIPE_SEGMENT_10 49
#define ST_STATUS_RECIPE_SEGMENT_11 50
#define ST_STATUS_RECIPE_SEGMENT_12 51
#define ST_STATUS_RECIPE_SEGMENT_13 52
#define ST_STATUS_RECIPE_SEGMENT_14 53
#define ST_STATUS_RECIPE_SEGMENT_15 54
#define ST_STATUS_RECIPE_SEGMENT_2 41
#define ST_STATUS_RECIPE_SEGMENT_3 42
#define ST_STATUS_RECIPE_SEGMENT_4 43
#define ST_STATUS_RECIPE_SEGMENT_5 44
#define ST_STATUS_RECIPE_SEGMENT_6 45
#define ST_STATUS_RECIPE_SEGMENT_7 46
#define ST_STATUS_RECIPE_SEGMENT_8 47
#define ST_STATUS_RECIPE_SEGMENT_9 48
#define ST_STATUS_SAVING_REF 5000
#define ST_STATUS_SAVING_REF_1 5001
#define ST_STATUS_SAVING_REF_10 5010
#define ST_STATUS_SAVING_REF_11 5011
#define ST_STATUS_SAVING_REF_12 5012
#define ST_STATUS_SAVING_REF_2 5002
#define ST_STATUS_SAVING_REF_3 5003
#define ST_STATUS_SAVING_REF_4 5004
#define ST_STATUS_SAVING_REF_5 5005
#define ST_STATUS_SAVING_REF_6 5006
#define ST_STATUS_SAVING_REF_7 5007
#define ST_STATUS_SAVING_REF_8 5008
#define ST_STATUS_SAVING_REF_9 5009
#define ST_STATUS_SENSOR_INITIALIZATION_START 80
#define ST_STATUS_SENSOR_INITIALIZATION_START_STEP_0 81
#define ST_STATUS_SENSOR_INITIALIZATION_START_STEP_1 82
#define ST_STATUS_SENSOR_INITIALIZATION_START_STEP_2 83
#define ST_STATUS_SENSOR_INITIALIZATION_START_STEP_3 84
#define ST_STATUS_SENSOR_INITIALIZATION_START_STEP_4 85
#define ST_STATUS_SENSOR_INITIALIZATION_START_STEP_5 86
#define ST_STATUS_SENSOR_INITIALIZATION_START_STEP_6 87
#define ST_STATUS_SENSOR_INITIALIZATION_START_STEP_7 88
#define ST_STATUS_SENSOR_INITIALIZATION_START_STEP_8 89
#define ST_STATUS_SENSOR_REZERO_TEST_0 1600
#define ST_STATUS_SENSOR_REZERO_TEST_1 1601
#define ST_STATUS_SENSOR_REZERO_TEST_10 1610
#define ST_STATUS_SENSOR_REZERO_TEST_11 1611
#define ST_STATUS_SENSOR_REZERO_TEST_12 1612
#define ST_STATUS_SENSOR_REZERO_TEST_13 1613
#define ST_STATUS_SENSOR_REZERO_TEST_14 1614
#define ST_STATUS_SENSOR_REZERO_TEST_15 1615
#define ST_STATUS_SENSOR_REZERO_TEST_16 1616
#define ST_STATUS_SENSOR_REZERO_TEST_2 1602
#define ST_STATUS_SENSOR_REZERO_TEST_3 1603
#define ST_STATUS_SENSOR_REZERO_TEST_4 1604
#define ST_STATUS_SENSOR_REZERO_TEST_5 1605
#define ST_STATUS_SENSOR_REZERO_TEST_6 1606
#define ST_STATUS_SENSOR_REZERO_TEST_7 1607
#define ST_STATUS_SENSOR_REZERO_TEST_8 1608
#define ST_STATUS_SENSOR_REZERO_TEST_9 1609
#define ST_STATUS_START_PROFILING 100
#define ST_STATUS_STEP_RESPONSE_TEST_0 1700
#define ST_STATUS_STEP_RESPONSE_TEST_1 1701
#define ST_STATUS_STEP_RESPONSE_TEST_10 1710
#define ST_STATUS_STEP_RESPONSE_TEST_11 1711
#define ST_STATUS_STEP_RESPONSE_TEST_12 1712
#define ST_STATUS_STEP_RESPONSE_TEST_13 1713
#define ST_STATUS_STEP_RESPONSE_TEST_14 1714
#define ST_STATUS_STEP_RESPONSE_TEST_15 1715
#define ST_STATUS_STEP_RESPONSE_TEST_16 1716
#define ST_STATUS_STEP_RESPONSE_TEST_2 1702
#define ST_STATUS_STEP_RESPONSE_TEST_3 1703
#define ST_STATUS_STEP_RESPONSE_TEST_4 1704
#define ST_STATUS_STEP_RESPONSE_TEST_5 1705
#define ST_STATUS_STEP_RESPONSE_TEST_6 1706
#define ST_STATUS_STEP_RESPONSE_TEST_7 1707
#define ST_STATUS_STEP_RESPONSE_TEST_8 1708
#define ST_STATUS_STEP_RESPONSE_TEST_9 1709
#define ST_STATUS_SYSTEM_CONNECTING 10002
#define ST_STATUS_SYSTEM_DISCONNECTED 10001
#define ST_STATUS_TEMPERATURE_REZERO_TEST_0 1800
#define ST_STATUS_TEMPERATURE_REZERO_TEST_1 1801
#define ST_STATUS_TEMPERATURE_REZERO_TEST_10 1810
#define ST_STATUS_TEMPERATURE_REZERO_TEST_2 1802
#define ST_STATUS_TEMPERATURE_REZERO_TEST_3 1803
#define ST_STATUS_TEMPERATURE_REZERO_TEST_4 1804
#define ST_STATUS_TEMPERATURE_REZERO_TEST_5 1805
#define ST_STATUS_TEMPERATURE_REZERO_TEST_6 1806
#define ST_STATUS_TEMPERATURE_REZERO_TEST_7 1807
#define ST_STATUS_TEMPERATURE_REZERO_TEST_8 1808
#define ST_STATUS_TEMPERATURE_REZERO_TEST_9 1809


//---------------------------------------------------------------------------------------------------------
//
//  Sensor Errors
//
#define ST_SENSOR_ADC_NOT_RESPONDING_ERROR 20002
#define ST_SENSOR_AIR_REFERENCE_ERROR 20003
#define ST_SENSOR_DARK_READ_ERROR 30003
#define ST_SENSOR_DISCONNECTED_ERROR 20000
#define ST_SENSOR_DIVIDE_BY_ZERO_ERROR 30000
#define ST_SENSOR_EEPROM_ERROR 20001
#define ST_SENSOR_ERROR 20005
#define ST_SENSOR_EXTERNAL_TEMP_ERROR 30001
#define ST_SENSOR_IN_AIR_ERROR 30002
#define ST_SENSOR_LIGHT_READ_ERROR 30004
#define ST_SENSOR_PP2RI_CAL_ERROR 20004
#define ST_SENSOR_READING_EDGE_OF_CAPABILITY 30005


//---------------------------------------------------------------------------------------------------------
//
//  Traces
//
#define ST_TRACE_ALL 255
#define ST_TRACE_CONCN_READING_HIGH 2
#define ST_TRACE_CONCN_READING_LOW 1
#define ST_TRACE_FLUID_TEMP 32
#define ST_TRACE_REFRACTIVE_INDEX_HIGH 8
#define ST_TRACE_REFRACTIVE_INDEX_LOW 4
#define ST_TRACE_SYSTEM_STATUS 16


//---------------------------------------------------------------------------------------------------------
//
//  Traces
//
#define ST_TRACE_NUM_CONCN_READING_HIGH 1
#define ST_TRACE_NUM_CONCN_READING_LOW 0
#define ST_TRACE_NUM_FLUID_TEMP 5
#define ST_TRACE_NUM_REFRACTIVE_INDEX_HIGH 3
#define ST_TRACE_NUM_REFRACTIVE_INDEX_LOW 2
#define ST_TRACE_NUM_SYSTEM_STATUS 4


//---------------------------------------------------------------------------------------------------------
//
//  Diagnostics
//
#define ST_DIAG_CLEAR_NV_STRUCTURE 130
#define ST_DIAG_COMMS_TEST 116
#define ST_DIAG_DATAFLASH_COMPARE 112
#define ST_DIAG_DATAFLASH_ERASE 110
#define ST_DIAG_DATAFLASH_WRITE 111
#define ST_DIAG_FLASHER_TOGGLE 113
#define ST_DIAG_FORCE_ANALOG_OUTPUTS_CAL 125
#define ST_DIAG_FORCE_ANALOG_OUTPUTS_UNCAL 124
#define ST_DIAG_FORCE_DIGITAL_OUTPUTS 127
#define ST_DIAG_FORCE_SRSENSOR_LED 128
#define ST_DIAG_FORCE_STATUS_LEDS 126
#define ST_DIAG_INCREMENT_CYCLE 120
#define ST_DIAG_LOG_META_POST 119
#define ST_DIAG_LOG_META_PRE 118
#define ST_DIAG_READ_BURN_DATAFLASH 122
#define ST_DIAG_SKIP_SR2_SENSOR_WARNINGS 131
#define ST_DIAG_SLEEP 123
#define ST_DIAG_START_BURN_DATAFLASH 121
#define ST_DIAG_UNITTEST_ID 129
#define ST_DIAG_WRITE_LOG_ALARM 115
#define ST_DIAG_WRITE_LOG_RECORD 114


//---------------------------------------------------------------------------------------------------------
//
//  Alarms
//
#define ST_ALARM_AIR_REFERENCE_ERROR 653
#define ST_ALARM_CLEARED_ALARMS 32
#define ST_ALARM_CLEARED_REINIT 31
#define ST_ALARM_CLOCK_SET 28
#define ST_ALARM_CONFIRMATION_PROFILE_FAILURE 1000
#define ST_ALARM_CONFIRMATION_RECIPE_NOT_DETECTED 1001
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_1 1020
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_10 1029
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_11 1030
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_12 1031
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_13 1032
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_14 1033
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_15 1034
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_16 1035
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_17 1036
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_18 1037
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_19 1038
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_2 1021
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_20 1039
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_21 1040
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_22 1041
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_23 1042
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_24 1043
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_25 1044
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_3 1022
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_4 1023
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_5 1024
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_6 1025
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_7 1026
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_8 1027
#define ST_ALARM_CONFIRMATION_RESERVED_TEST_9 1028
#define ST_ALARM_CONTRIBUTING_PIXEL_THRESHOLD_CLEAR_WARNING 686
#define ST_ALARM_CONTRIBUTING_PIXEL_THRESHOLD_WARNING 685
#define ST_ALARM_COUNTERS_RESET 626
#define ST_ALARM_CYCLECOUNTERS_ERASE 70
#define ST_ALARM_CYCLECOUNTERS_READ 72
#define ST_ALARM_CYCLECOUNTERS_WRITE 71
#define ST_ALARM_CYCLE_REFERENCE_SAVED 625
#define ST_ALARM_DARK_READING_CLEAR_WARNING 676
#define ST_ALARM_DARK_READING_WARNING 675
#define ST_ALARM_DIVIDE_BY_ZERO_PIXELS_CLEAR_WARNING 682
#define ST_ALARM_DIVIDE_BY_ZERO_PIXELS_WARNING 681
#define ST_ALARM_FACTORY_CONFIGURATION_RESTORED 801
#define ST_ALARM_FACTORY_CONFIGURATION_SAVED 800
#define ST_ALARM_FACTORY_CONFIGURATION_SAVE_FAILED 805
#define ST_ALARM_FACTORY_RESTORE_BAD_CRC 802
#define ST_ALARM_FACTORY_RESTORE_STRUCTURE_FAIL 804
#define ST_ALARM_FACTORY_RESTORE_VERSION 803
#define ST_ALARM_FIX_ANALOG_PARAMETERS 313
#define ST_ALARM_FIX_CONCN_CALIBRATION 303
#define ST_ALARM_FIX_ENGINEERING_PARAMETERS 306
#define ST_ALARM_FIX_ESENSORDATA 399
#define ST_ALARM_FIX_FIRMWAREINFO 302
#define ST_ALARM_FIX_MODEL 312
#define ST_ALARM_FIX_PASSWORDS 305
#define ST_ALARM_FIX_READ_CURVE 307
#define ST_ALARM_FIX_RITEMPCOMP_CALIBRATION 308
#define ST_ALARM_FIX_SENSOR_CALIBRATION 309
#define ST_ALARM_FIX_SENSOR_SERIALNUMBER 310
#define ST_ALARM_FIX_SERIALNUMBERS 304
#define ST_ALARM_FIX_SYSTEMNAMES 301
#define ST_ALARM_FIX_SYSTEM_PARAMETERS 300
#define ST_ALARM_FIX_TESTINFORMATION 311
#define ST_ALARM_FLASH 30
#define ST_ALARM_INITIALIZATION_FAILED_AIRREFERENCE 727
#define ST_ALARM_INITIALIZATION_FAILED_MAXCURRENT 730
#define ST_ALARM_INITIALIZATION_FAILED_TIMEOUT 731
#define ST_ALARM_INITIALIZATION_FAILED_TOOMUCHLIGHT_DARKREAD 728
#define ST_ALARM_INITIALIZATION_FAILED_TOOMUCHLIGHT_LIGHTREAD 732
#define ST_ALARM_INITIALIZATION_FAILED_WRITE 729
#define ST_ALARM_INITIALIZATION_LED_ONLY_SUCCESSFUL 734
#define ST_ALARM_INITIALIZATION_SUCCESSFUL 726
#define ST_ALARM_INIT_ANALOG_CALIBRATION_INPUT_MAXIMUMS 221
#define ST_ALARM_INIT_ANALOG_CALIBRATION_INPUT_MINIMUMS 220
#define ST_ALARM_INIT_ANALOG_CALIBRATION_OUTPUT_MAXIMUMS 223
#define ST_ALARM_INIT_ANALOG_CALIBRATION_OUTPUT_MINIMUMS 222
#define ST_ALARM_INIT_ANALOG_PARAMETERS 232
#define ST_ALARM_INIT_BAUDRATE 230
#define ST_ALARM_INIT_CONCN_CALIBRATION 218
#define ST_ALARM_INIT_CONFIRMATION_LIMITS 211
#define ST_ALARM_INIT_CYCLECOUNTERS 207
#define ST_ALARM_INIT_CYCLE_INFO 212
#define ST_ALARM_INIT_DC_PROFILE 213
#define ST_ALARM_INIT_ENGINEERING_PARAMETERS 208
#define ST_ALARM_INIT_ESENSORDATA 229
#define ST_ALARM_INIT_FIRMWAREINFO 203
#define ST_ALARM_INIT_MODEL 231
#define ST_ALARM_INIT_PASSWORDS 214
#define ST_ALARM_INIT_READ_CURVE 215
#define ST_ALARM_INIT_RECHARGE 206
#define ST_ALARM_INIT_RECIPE 202
#define ST_ALARM_INIT_RITEMPCOMP_CALIBRATION 228
#define ST_ALARM_INIT_SENSOR_CALIBRATION 217
#define ST_ALARM_INIT_SENSOR_SERIALNUMBER 227
#define ST_ALARM_INIT_SERIALNUMBERS 210
#define ST_ALARM_INIT_SYSTEMNAMES 201
#define ST_ALARM_INIT_SYSTEM_PARAMETERS 200
#define ST_ALARM_INIT_TESTINFORMATION 224
#define ST_ALARM_INIT_VERSION 205
#define ST_ALARM_INVALID_PRODUCT 44
#define ST_ALARM_LIGHT_READING_CLEAR_WARNING 684
#define ST_ALARM_LIGHT_READING_WARNING 683
#define ST_ALARM_LOWER_TEMPERATURE_SPECIFICATION_EXCEEDED 827
#define ST_ALARM_LOWER_TEMPERATURE_SPECIFICATION_RESUMED 828
#define ST_ALARM_MAINTENANCE_MODE 37
#define ST_ALARM_MAINTENANCE_MODE_END 39
#define ST_ALARM_MAINTENANCE_MODE_ERROR 40
#define ST_ALARM_MAINTENANCE_TIMEOUT 36
#define ST_ALARM_MAINTENANCE_TIMEOUT_END 38
#define ST_ALARM_MODULE_COMMUNICATIONS 63
#define ST_ALARM_MODULE_ERRORS 60
#define ST_ALARM_MODULE_MEMORY_CORRUPT 700
#define ST_ALARM_MODULE_REMOTE_ERRORS 61
#define ST_ALARM_MODULE_SYNCS 62
#define ST_ALARM_NEW_MAJOR 41
#define ST_ALARM_NEW_MINOR 42
#define ST_ALARM_NEW_MODULE 45
#define ST_ALARM_NEW_PRODUCT 43
#define ST_ALARM_NOTE_SAVED 65
#define ST_ALARM_NOT_ENOUGH_CONTRIBUTING_PIXELS_CLEAR_WARNING 678
#define ST_ALARM_NOT_ENOUGH_CONTRIBUTING_PIXELS_WARNING 677
#define ST_ALARM_PASSWORDS_FAIL 53
#define ST_ALARM_PASSWORDS_SET 52
#define ST_ALARM_PLL_LIMP 49
#define ST_ALARM_PLL_WRONG 50
#define ST_ALARM_POWER_ON 20
#define ST_ALARM_PP2RI_CAL_TABLE_ERROR 654
#define ST_ALARM_REFRACTIVE_INDEX_REZERO_CLEARED 751
#define ST_ALARM_RTC_PROBLEM 46
#define ST_ALARM_SENSOR_ADC_NOT_RESPONDING 652
#define ST_ALARM_SENSOR_DISCONNECTED 650
#define ST_ALARM_SENSOR_EEPROM_UNRESPONSIVE 651
#define ST_ALARM_SENSOR_FLUID_TEMP_CLEAR_WARNING 680
#define ST_ALARM_SENSOR_FLUID_TEMP_WARNING 679
#define ST_ALARM_SENSOR_PCB_TEMP_ERROR 656
#define ST_ALARM_SENSOR_POTTING_TEMP_ERROR 657
#define ST_ALARM_SENSOR_WINDOW_TEMP_ERROR 655
#define ST_ALARM_SOFTWARE_RESET 29
#define ST_ALARM_START_SENSOR_INITIALIZATION 725
#define ST_ALARM_START_SENSOR_LED_ONLY_INITIALIZATION 733
#define ST_ALARM_TEMPERATURE_REZERO_CLEARED 750
#define ST_ALARM_TEST_ANALOG_OUTPUTS_FAILED 1172
#define ST_ALARM_TEST_ANALOG_OUTPUTS_INCOMPLETE 1173
#define ST_ALARM_TEST_ANALOG_OUTPUTS_PASSED 1171
#define ST_ALARM_TEST_ANALOG_OUTPUTS_RESULTS_CONCN_OVERRIDE 1174
#define ST_ALARM_TEST_ANALOG_OUTPUTS_RESULTS_RI_OVERRIDE 1176
#define ST_ALARM_TEST_ANALOG_OUTPUTS_RESULTS_TEMP_OVERRIDE 1175
#define ST_ALARM_TEST_ANALOG_OUTPUTS_STARTED 1170
#define ST_ALARM_TEST_BYTES 25
#define ST_ALARM_TEST_LONG 27
#define ST_ALARM_TEST_MLS 24
#define ST_ALARM_TEST_PRESSURES 23
#define ST_ALARM_TEST_SENSOR_REZERO_FAILED 1132
#define ST_ALARM_TEST_SENSOR_REZERO_INCOMPLETE 1133
#define ST_ALARM_TEST_SENSOR_REZERO_PASSED 1131
#define ST_ALARM_TEST_SENSOR_REZERO_RESULTS_A 1134
#define ST_ALARM_TEST_SENSOR_REZERO_RESULTS_B 1135
#define ST_ALARM_TEST_SENSOR_REZERO_RESULTS_C 1136
#define ST_ALARM_TEST_SENSOR_REZERO_RESULTS_D 1137
#define ST_ALARM_TEST_SENSOR_REZERO_STARTED 1130
#define ST_ALARM_TEST_SENSOR_REZERO_STDDEV_FAILED 1138
#define ST_ALARM_TEST_SHORTS 21
#define ST_ALARM_TEST_STEP_RESPONSE_FAILED 1142
#define ST_ALARM_TEST_STEP_RESPONSE_INCOMPLETE 1143
#define ST_ALARM_TEST_STEP_RESPONSE_PASSED 1141
#define ST_ALARM_TEST_STEP_RESPONSE_RESULTS_A 1144
#define ST_ALARM_TEST_STEP_RESPONSE_RESULTS_B 1145
#define ST_ALARM_TEST_STEP_RESPONSE_RESULTS_C 1146
#define ST_ALARM_TEST_STEP_RESPONSE_RESULTS_D 1147
#define ST_ALARM_TEST_STEP_RESPONSE_RESULTS_E 1148
#define ST_ALARM_TEST_STEP_RESPONSE_RESULTS_F 1149
#define ST_ALARM_TEST_STEP_RESPONSE_RESULTS_G 1150
#define ST_ALARM_TEST_STEP_RESPONSE_RESULTS_H 1151
#define ST_ALARM_TEST_STEP_RESPONSE_RESULTS_I 1152
#define ST_ALARM_TEST_STEP_RESPONSE_RESULTS_J 1153
#define ST_ALARM_TEST_STEP_RESPONSE_STARTED 1140
#define ST_ALARM_TEST_TEMPERATURE_REZERO_FAILED 1162
#define ST_ALARM_TEST_TEMPERATURE_REZERO_INCOMPLETE 1163
#define ST_ALARM_TEST_TEMPERATURE_REZERO_PASSED 1161
#define ST_ALARM_TEST_TEMPERATURE_REZERO_RESULTS_A 1164
#define ST_ALARM_TEST_TEMPERATURE_REZERO_RESULTS_B 1165
#define ST_ALARM_TEST_TEMPERATURE_REZERO_RESULTS_C 1166
#define ST_ALARM_TEST_TEMPERATURE_REZERO_RESULTS_D 1167
#define ST_ALARM_TEST_TEMPERATURE_REZERO_STARTED 1160
#define ST_ALARM_TEST_TEMPERATURE_REZERO_STDDEV_FAILED 1168
#define ST_ALARM_TEST_TIME 26
#define ST_ALARM_TEST_USHORTS 22
#define ST_ALARM_TRIGGER_HELD 600
#define ST_ALARM_TRIGGER_WHEN_BUSY 601
#define ST_ALARM_UNKNOWN_NEW_MODULE 35
#define ST_ALARM_UPPER_TEMPERATURE_SPECIFICATION_EXCEEDED 825
#define ST_ALARM_UPPER_TEMPERATURE_SPECIFICATION_RESUMED 826
#define ST_ALARM_USER_REQUESTED_REINIT 34


//---------------------------------------------------------------------------------------------------------
//
//  Traces
//
#define ST_TRACE_TYPE_CONCN_READING_HIGH UINT16
#define ST_TRACE_TYPE_CONCN_READING_LOW UINT16
#define ST_TRACE_TYPE_FLUID_TEMP UINT16
#define ST_TRACE_TYPE_REFRACTIVE_INDEX_HIGH UINT16
#define ST_TRACE_TYPE_REFRACTIVE_INDEX_LOW UINT16
#define ST_TRACE_TYPE_SYSTEM_STATUS INT16


//  Software Reset Read=2 Write=0
//
//  !COMMAND 2 0 SOFTWARE_RESET "Software Reset"
//
#define ST_CMD_SOFTWARE_RESET 2
#define SOFTWARE_RESET_ACCESS_LEVEL ST_ACCESS_LEVEL_OPERATOR


//  Write user note Read=3 Write=0
//
//  !COMMAND 3 0 WRITE_NOTE "Write user note"
//
#define ST_CMD_WRITE_NOTE 3
#define WRITE_NOTE_ACCESS_LEVEL ST_ACCESS_LEVEL_NONE
// !WRITEREAD 500
typedef struct WRITE_NOTEStruct {
  STRING Message[500 PACKED];		// "User message 0"
} WRITE_NOTE;
#define SIZE_WRITE_NOTE (sizeof(WRITE_NOTE))



//  Clear errors Read=4 Write=0
//
//  !COMMAND 4 0 CLEAR_ERRORS "Clear errors"
//
#define ST_CMD_CLEAR_ERRORS 4
#define CLEAR_ERRORS_ACCESS_LEVEL ST_ACCESS_LEVEL_OPERATOR


//  Go into Maintenance mode Read=6 Write=0
//
//  !COMMAND 6 0 START_MAINTENANCE "Go into Maintenance mode"
//
#define ST_CMD_START_MAINTENANCE 6
#define START_MAINTENANCE_ACCESS_LEVEL ST_ACCESS_LEVEL_ENGINEER


//  End Maintenance mode Read=8 Write=0
//
//  !COMMAND 8 0 END_MAINTENANCE "End Maintenance mode"
//
#define ST_CMD_END_MAINTENANCE 8
#define END_MAINTENANCE_ACCESS_LEVEL ST_ACCESS_LEVEL_ENGINEER


//  Time Now Read=10 Write=11
//
//  !COMMAND 10 11 TIME "Time Now"
//
#define ST_CMD_TIME 10
#define TIME_ACCESS_LEVEL ST_ACCESS_LEVEL_ENGINEER
#define ST_CMD_TIME_WRITE 11
typedef struct TIMEStruct {
  ULONG Time;		// "UTC seconds from 1 Jan 1970"
} TIME;
#define SIZE_TIME (sizeof(TIME))



//  Get SVIDS Read=21 Write=0
//
//  !COMMAND 21 0 GET_SVIDS "Get SVIDS"
//
#define ST_CMD_GET_SVIDS 21
#define GET_SVIDS_ACCESS_LEVEL ST_ACCESS_LEVEL_NONE


//  Get Alarms Read=24 Write=0
//
//  !COMMAND 24 0 GET_ALARMS "Get Alarms"
//
#define ST_CMD_GET_ALARMS 24
#define GET_ALARMS_ACCESS_LEVEL ST_ACCESS_LEVEL_NONE
// !WRITEREAD 8
typedef struct GET_ALARMSStruct {
  ULONG AlarmNumber;		// "First alarm to get (0 means most recent)"
  UINT16 Count;		// "How many to get"
  UINT16 Reserved;		// "Reserved"
} GET_ALARMS;
#define SIZE_GET_ALARMS (sizeof(GET_ALARMS))



//  Read Real Time Traces Read=26 Write=0
//
//  !COMMAND 26 0 READ_RT_TRACES "Read Real Time Traces"
//
#define ST_CMD_READ_RT_TRACES 26
#define READ_RT_TRACES_ACCESS_LEVEL ST_ACCESS_LEVEL_NONE
// !WRITEREAD 4
typedef struct READ_RT_TRACESStruct {
  UINT16 Points;		// "How many points to get"
  UINT16 Traces;		// "Which Traces"
} READ_RT_TRACES;
#define SIZE_READ_RT_TRACES (sizeof(READ_RT_TRACES))



//  System Names Read=64 Write=65
//
//  !COMMAND 64 65 SYSTEMNAMES "System Names"
//
#define ST_CMD_SYSTEMNAMES 64
#define SYSTEMNAMES_ACCESS_LEVEL ST_ACCESS_LEVEL_OWNER
#define ST_CMD_SYSTEMNAMES_WRITE 65
typedef struct SYSTEMNAMESStruct {
  STRING CustomerName[24 PACKED];		// "Customer Name "End user name""
  STRING FabName[24 PACKED];		// "Fab Name "Fab name""
  STRING ToolName[24 PACKED];		// "Tool Name "Tool name""
  STRING Reserved1[24 PACKED];		// "Reserved 0"
  STRING Reserved2[24 PACKED];		// "Reserved 0"
  STRING ChemicalName[24 PACKED];		// "Chemical name "Chemical name""
  STRING SystemName[24 PACKED];		// "System Name "GV148""
  STRING FluidName[24 PACKED];		// "Fluid Name/type "Fluid Name""
} SYSTEMNAMES;
#define SIZE_SYSTEMNAMES (sizeof(SYSTEMNAMES))



//  Get Version String Read=52 Write=0
//
//  !COMMAND 52 0 VERSION "Get Version String"
//
#define ST_CMD_VERSION 52
#define VERSION_ACCESS_LEVEL ST_ACCESS_LEVEL_NONE
typedef struct VERSIONStruct {
  STRING reserved1[16 PACKED];		// "reserved 0"
  STRING reserved2[16 PACKED];		// "reserved 0"
  STRING Model[24 PACKED];		// "Model Name 0"
  STRING Version[48 PACKED];		// "Firmware Major Version 0"
} VERSION;
#define SIZE_VERSION (sizeof(VERSION))



//  Get Firmware Information Read=54 Write=0
//
//  !COMMAND 54 0 FIRMWAREINFO "Get Firmware Information"
//
#define ST_CMD_FIRMWAREINFO 54
#define FIRMWAREINFO_ACCESS_LEVEL ST_ACCESS_LEVEL_NONE
typedef struct FIRMWAREINFOStruct {
  UINT16 ProductQualifier;		// "Qualifer for ProductCode to be valid"
  UINT16 Comms_Version;		// "Communications protocol version"
  UINT16 MajorVersion;		// "Major Version Number"
  UINT16 ModuleType;		// "Interface Module Type"
  UINT16 MinorVersion;		// "Firmware Minor Version"
  UINT16 ProductCode;		// "Product ID Code"
  UINT16 MapSize;		// "NV Map size (deprecated)"
  UINT16 CRC;		// "CRC (deprecated)"
} FIRMWAREINFO;
#define SIZE_FIRMWAREINFO (sizeof(FIRMWAREINFO))



//  Get Cycle Counters Read=60 Write=0
//
//  !COMMAND 60 0 CYCLECOUNTERS "Get Cycle Counters"
//
#define ST_CMD_CYCLECOUNTERS 60
#define CYCLECOUNTERS_ACCESS_LEVEL ST_ACCESS_LEVEL_NONE
typedef struct CYCLECOUNTERSStruct {
  ULONG CycleRecordNum;		// "Record Number"
  ULONG CycleCounts;		// "Total Cycles"
  ULONG PowerCycles;		// "Total Power Cycles"
  ULONG CycleCounts_reset_A;		// "Resettable A Cycles"
  ULONG PowerCycles_reset_A;		// "Resettable A Power Cycles"
  ULONG CycleCounts_reset_B;		// "Resettable B Cycles"
  ULONG PowerCycles_reset_B;		// "Resettable B Power Cycles"
  UINT16 Reserved;		// "For alignment"
  UINT16 CRC;		// "CRC"
} CYCLECOUNTERS;
#define SIZE_CYCLECOUNTERS (sizeof(CYCLECOUNTERS))



//  System Parameters Read=66 Write=67
//
//  !COMMAND 66 67 SYSTEM_PARAMETERS "System Parameters"
//
#define ST_CMD_SYSTEM_PARAMETERS 66
#define SYSTEM_PARAMETERS_ACCESS_LEVEL ST_ACCESS_LEVEL_OPERATOR
#define ST_CMD_SYSTEM_PARAMETERS_WRITE 67
typedef struct SYSTEM_PARAMETERSStruct {
  UINT16 Address;		// "Serial Address"
  UINT16 MaintenanceModeTimeoutEnable;		// "Maint. Mode Enable"
  UINT16 MaintenanceModeTimeout_min;		// "Maint. Mode Timeout"
  UINT16 SerialTriggerEnable;		// "Serial Trigger Enable"
  FLOAT Analog_Output_Concn_Min;		// "Concn 4mA Output"
  FLOAT Analog_Output_Concn_Max;		// "Concn 20mA Output"
  FLOAT Analog_Output_Temperature_Min;		// "Temp 4mA Output"
  FLOAT Analog_Output_Temperature_Max;		// "Temp 20mA Output"
  FLOAT Analog_Output_RI_Min;		// "RI 4mA Output"
  FLOAT Analog_Output_RI_Max;		// "RI 20mA Output"
  UINT16 SerialTerminationEnable;		// "Serial Termination Resistor"
  UINT16 PP_WeightedAverage_ds;		// "Sensor Averaging"
  FLOAT RI_Rezero_Target_RI;		// "Digital Input RI Rezero Value"
  ULONG RI_Rezero_Avg_ms;		// "Digital Input RI Rezero Time"
  UINT16 ChemistryNum;		// "Primary Chem # for TCC"
  UINT16 RI_Rezero_ChemistryNum;		// "Secondary Chem # for TCC"
  FLOAT RI_Rezero_Stablity;		// "RI Rezero Stablity Max"
  FLOAT Temp_Rezero_Stablity;		// "Temp Rezero Stablity Max"
  FLOAT ConcentrationRezero;		// "Concentration Offset"
  FLOAT reserved3;		// "reserved"
  FLOAT reserved4;		// "reserved"
  FLOAT reserved5;		// "reserved"
  FLOAT reserved6;		// "reserved"
  FLOAT reserved7;		// "reserved"
  FLOAT reserved8;		// "reserved"
  FLOAT reserved9;		// "reserved"
  FLOAT reserved10;		// "reserved"
  ULONG Time;		// "Last saved"
  ULONG Cycle;		// "Cycle when written"
} SYSTEM_PARAMETERS;
#define SIZE_SYSTEM_PARAMETERS (sizeof(SYSTEM_PARAMETERS))



//  Analog Parameters Read=103 Write=104
//
//  !COMMAND 103 104 ANALOG_PARAMETERS "Analog Parameters"
//
#define ST_CMD_ANALOG_PARAMETERS 103
#define ANALOG_PARAMETERS_ACCESS_LEVEL ST_ACCESS_LEVEL_OPERATOR
#define ST_CMD_ANALOG_PARAMETERS_WRITE 104
typedef struct ANALOG_PARAMETERSStruct {
  UINT16 AnalogOutput1_TrimModeEnable;		// "Concentration Trim Mode"
  UINT16 AnalogOutput2_TrimModeEnable;		// "Temperature Trim Mode"
  UINT16 AnalogOutput3_TrimModeEnable;		// "RI Trim Mode"
  UINT16 reserved1;		// "reserved"
  FLOAT AnalogOutput1_ForceValue;		// "Concentration ForceValue"
  FLOAT AnalogOutput2_ForceValue;		// "Temperature ForceValue"
  FLOAT AnalogOutput3_ForceValue;		// "RI ForceValue"
  INT16 AnalogOutput1_Trim_4mA;		// "Concentration: 4mA  Trim"
  INT16 AnalogOutput1_Trim_20mA;		// "Concentration: 20mA Trim"
  INT16 AnalogOutput2_Trim_4mA;		// "Temperature: 4mA Trim"
  INT16 AnalogOutput2_Trim_20mA;		// "Temperature: 20mA Trim"
  INT16 AnalogOutput3_Trim_4mA;		// "RI: 4mA Trim"
  INT16 AnalogOutput3_Trim_20mA;		// "RI: 20mA Trim"
  FLOAT reserved2;		// "reserved"
  FLOAT reserved3;		// "reserved"
  ULONG Time;		// "Last saved"
  ULONG Cycle;		// "Cycle when written"
} ANALOG_PARAMETERS;
#define SIZE_ANALOG_PARAMETERS (sizeof(ANALOG_PARAMETERS))



//  Get Real Time Status Read=100 Write=0
//
//  !COMMAND 100 0 RTSTATUS "Get Real Time Status"
//
#define ST_CMD_RTSTATUS 100
#define RTSTATUS_ACCESS_LEVEL ST_ACCESS_LEVEL_NONE
typedef struct RTSTATUSStruct {
  INT16 Status;		// "System Status"
  UINT16 Indicators;		// "Status bit indicators"
  ULONG LastCycle;		// "Cycle Num of last completed"
  UINT16 reserved7;		// "reserved"
  UINT16 reserved8;		// "reserved"
  UINT16 reserved9;		// "reserved"
  UINT16 reserved1;		// "reserved"
  ULONG TotalCycleCounts;		// "Cycle"
  ULONG ResettableCycleCounts;		// "Cycle on Filter"
  UINT16 CriticalErrors;		// "counts Critical System Errors after they are logged"
  UINT16 Errors;		// "counts System Errors after they are logged"
  UINT16 Warnings;		// "counts System Warnings after they are logged"
  UINT16 Infos;		// "counts System infos after they are logged"
  UINT16 TotalAlarms;		// "counts total uncleared alarms after they are logged"
  UINT16 reserved2;		// "reserved"
  ULONG NewestAlarmNum;		// "Number of newest alarm"
  ULONG NewestRecordNum;		// "Number of newest record"
  ULONG LastClearedRecord;		// "# of the last cleared record"
  ULONG LastClearedAlarm;		// "# of the last cleared alarm"
  ULONG ProfileCycle;		// "Most recent cycle"
  UINT16 FirmwareImage;		// "Firmware Image used"
  UINT16 FirmwareImageInfo_0;		// "FIRMWARE_IMAGE_INFO_0"
  UINT16 FirmwareImageInfo_1;		// "FIRMWARE_IMAGE_INFO_1"
  UINT16 Serial;		// "FirmwareImageInfo Serial"
  ULONG PowerCycles;		// "Total Power Cycles"
  UINT16 reserved3;		// "reserved"
  UINT16 reserved4;		// "reserved"
  UINT16 reserved5;		// "reserved"
  UINT16 reserved6;		// "reserved"
} RTSTATUS;
#define SIZE_RTSTATUS (sizeof(RTSTATUS))



//  Get System Voltage Status Read=108 Write=0
//
//  !COMMAND 108 0 VOLTAGESTATUS "Get System Voltage Status"
//
#define ST_CMD_VOLTAGESTATUS 108
#define VOLTAGESTATUS_ACCESS_LEVEL ST_ACCESS_LEVEL_NONE
typedef struct VOLTAGESTATUSStruct {
  UINT16 mV_24_0_VDC;		// "mV_24_0_VDC"
  UINT16 mV_5_0_VDC;		// "mV_5_0_VDC"
  UINT16 mV_3_0_VDC;		// "mV_3_0_VDC"
  UINT16 mV_3_3_VDC;		// "mV_3_3_VDC"
  UINT16 mV_1_9_VDC;		// "mV_1_9_VDC"
  UINT16 Battery;		// "Battery Interrupt Bits"
  UINT16 reserved1;		// "Reserved1"
  UINT16 reserved2;		// "Reserved2"
} VOLTAGESTATUS;
#define SIZE_VOLTAGESTATUS (sizeof(VOLTAGESTATUS))



//  Sensor Initialization LED Only Read=160 Write=0
//
//  !COMMAND 160 0 SENSOR_INITIALIZATION_LED_ONLY "Sensor Initialization LED Only"
//
#define ST_CMD_SENSOR_INITIALIZATION_LED_ONLY 160
#define SENSOR_INITIALIZATION_LED_ONLY_ACCESS_LEVEL ST_ACCESS_LEVEL_OPERATOR


//  Sensor Initialization Status Read=165 Write=0
//
//  !COMMAND 165 0 SENSOR_INITIALIZATION_STATUS "Sensor Initialization Status"
//
#define ST_CMD_SENSOR_INITIALIZATION_STATUS 165
#define SENSOR_INITIALIZATION_STATUS_ACCESS_LEVEL ST_ACCESS_LEVEL_OPERATOR
typedef struct SENSOR_INITIALIZATION_STATUSStruct {
  UINT16 Status;		// "Sensor Initialization Status"
  UINT16 reserved;		// "reserved"
} SENSOR_INITIALIZATION_STATUS;
#define SIZE_SENSOR_INITIALIZATION_STATUS (sizeof(SENSOR_INITIALIZATION_STATUS))



//  Test Status Read=200 Write=0
//
//  !COMMAND 200 0 TEST_STATUS "Test Status"
//
#define ST_CMD_TEST_STATUS 200
#define TEST_STATUS_ACCESS_LEVEL ST_ACCESS_LEVEL_NONE
typedef struct TEST_STATUSStruct {
  UINT16 Status;		// "Test Status"
  INT16 Complete;		// "Percent Complete"
  UINT16 Result;		// "Test Result"
  UINT16 Test;		// "Command Code of test"
  INT16 Cancelled;		// "Test has been cancelled"
  UINT16 reserved1;		// "reserved"
  ULONG Time;		// "Time Written"
  ULONG Cycle;		// "Cycle when written"
} TEST_STATUS;
#define SIZE_TEST_STATUS (sizeof(TEST_STATUS))



//  Cancel Self Test Read=203 Write=0
//
//  !COMMAND 203 0 TEST_CANCEL "Cancel Self Test"
//
#define ST_CMD_TEST_CANCEL 203
#define TEST_CANCEL_ACCESS_LEVEL ST_ACCESS_LEVEL_OPERATOR


//  Self Test: Refractive Index Rezero Read=216 Write=217
//
//  !COMMAND 216 217 TEST_SENSOR_REZERO "Self Test: Refractive Index Rezero"
//
#define ST_CMD_TEST_SENSOR_REZERO 216
#define TEST_SENSOR_REZERO_ACCESS_LEVEL ST_ACCESS_LEVEL_ENGINEER
#define ST_CMD_TEST_SENSOR_REZERO_WRITE 217
typedef struct TEST_SENSOR_REZEROStruct {
  FLOAT Target_RI;		// "Input: RI Value to Rezero"
  ULONG Averaging_ms;		// "Input: Averaging Time"
  FLOAT Pre_Calculated_Offset_RI;		// "Result: Pre Delta RI"
  FLOAT Pre_Concn_Percent;		// "Result: Pre Avg Conc %"
  FLOAT Pre_RefractiveIndex;		// "Result: Pre Avg RI"
  FLOAT Pre_PixelPosition;		// "Result: Pre Avg PP"
  FLOAT Post_Calculated_Offset_RI;		// "Result: Post Delta RI"
  FLOAT Post_Concn_Percent;		// "Result: Post Avg Conc %"
  FLOAT Post_RefractiveIndex;		// "Result: Post Avg RI"
  FLOAT Post_PixelPosition;		// "Result: Post Avg PP"
  FLOAT Sensor_stddev_RI;		// "Result: Sensor Stability"
} TEST_SENSOR_REZERO;
#define SIZE_TEST_SENSOR_REZERO (sizeof(TEST_SENSOR_REZERO))



//  Self Test: Analog Outputs Read=163 Write=164
//
//  !COMMAND 163 164 TEST_ANALOG_OUTPUTS "Self Test: Analog Outputs"
//
#define ST_CMD_TEST_ANALOG_OUTPUTS 163
#define TEST_ANALOG_OUTPUTS_ACCESS_LEVEL ST_ACCESS_LEVEL_ENGINEER
#define ST_CMD_TEST_ANALOG_OUTPUTS_WRITE 164
typedef struct TEST_ANALOG_OUTPUTSStruct {
  ULONG Duration_ms;		// "Input: Self Test Duration"
  UINT16 ConcnOutput;		// "Input: Concentration Output"
  UINT16 TempOutput;		// "Input: Temperature Output"
  UINT16 RIOutput;		// "Input: RI Output"
  UINT16 reserved;		// "reserved"
} TEST_ANALOG_OUTPUTS;
#define SIZE_TEST_ANALOG_OUTPUTS (sizeof(TEST_ANALOG_OUTPUTS))



//  System Monitor Read=166 Write=0
//
//  !COMMAND 166 0 SYSTEMMONITOR "System Monitor"
//
#define ST_CMD_SYSTEMMONITOR 166
#define SYSTEMMONITOR_ACCESS_LEVEL ST_ACCESS_LEVEL_NONE
typedef struct SYSTEMMONITORStruct {
  FLOAT Fluid_Temperature;		// "Sensor Fluid Temperature"
  FLOAT RefractiveIndex;		// "Refractive Index"
  FLOAT Concentration;		// "Concentration"
} SYSTEMMONITOR;
#define SIZE_SYSTEMMONITOR (sizeof(SYSTEMMONITOR))



//  Concentration Calibration Read=175 Write=176
//
//  !COMMAND 175 176 CONCN_CALIBRATION "Concentration Calibration"
//
#define ST_CMD_CONCN_CALIBRATION 175
#define CONCN_CALIBRATION_ACCESS_LEVEL ST_ACCESS_LEVEL_ENGINEER
#define ST_CMD_CONCN_CALIBRATION_WRITE 176
typedef struct CONCN_CALIBRATIONStruct {
  FLOAT Concn_Percent[ST_CONCN_SAMPLES];
	// "Concentration values"
  //  FLOAT Concn_Percent0;		// "Concentration values  [0]"
  //  FLOAT Concn_Percent1;		// "Concentration values  [1]"
  //  FLOAT Concn_Percent2;		// "Concentration values  [2]"
  //  FLOAT Concn_Percent3;		// "Concentration values  [3]"
  //  FLOAT Concn_Percent4;		// "Concentration values  [4]"
  //  FLOAT Concn_Percent5;		// "Concentration values  [5]"
  //  FLOAT Concn_Percent6;		// "Concentration values  [6]"
  //  FLOAT Concn_Percent7;		// "Concentration values  [7]"
  //  FLOAT Concn_Percent8;		// "Concentration values  [8]"
  //  FLOAT Concn_Percent9;		// "Concentration values  [9]"
  //  FLOAT Concn_Percent10;		// "Concentration values  [10]"
  //  FLOAT Concn_Percent11;		// "Concentration values  [11]"
  //  FLOAT Concn_Percent12;		// "Concentration values  [12]"
  //  FLOAT Concn_Percent13;		// "Concentration values  [13]"
  //  FLOAT Concn_Percent14;		// "Concentration values  [14]"
  //  FLOAT Concn_Percent15;		// "Concentration values  [15]"
  //  FLOAT Concn_Percent16;		// "Concentration values  [16]"
  //  FLOAT Concn_Percent17;		// "Concentration values  [17]"
  //  FLOAT Concn_Percent18;		// "Concentration values  [18]"
  //  FLOAT Concn_Percent19;		// "Concentration values  [19]"
  //  FLOAT Concn_Percent20;		// "Concentration values  [20]"
  //  FLOAT Concn_Percent21;		// "Concentration values  [21]"
  //  FLOAT Concn_Percent22;		// "Concentration values  [22]"
  //  FLOAT Concn_Percent23;		// "Concentration values  [23]"
  //  FLOAT Concn_Percent24;		// "Concentration values  [24]"
  //  FLOAT Concn_Percent25;		// "Concentration values  [25]"
  //  FLOAT Concn_Percent26;		// "Concentration values  [26]"
  //  FLOAT Concn_Percent27;		// "Concentration values  [27]"
  //  FLOAT Concn_Percent28;		// "Concentration values  [28]"
  //  FLOAT Concn_Percent29;		// "Concentration values  [29]"
  FLOAT RI_nD[ST_CONCN_SAMPLES];
	// "RI values (nD)"
  //  FLOAT RI_nD0;		// "RI values (nD)  [0]"
  //  FLOAT RI_nD1;		// "RI values (nD)  [1]"
  //  FLOAT RI_nD2;		// "RI values (nD)  [2]"
  //  FLOAT RI_nD3;		// "RI values (nD)  [3]"
  //  FLOAT RI_nD4;		// "RI values (nD)  [4]"
  //  FLOAT RI_nD5;		// "RI values (nD)  [5]"
  //  FLOAT RI_nD6;		// "RI values (nD)  [6]"
  //  FLOAT RI_nD7;		// "RI values (nD)  [7]"
  //  FLOAT RI_nD8;		// "RI values (nD)  [8]"
  //  FLOAT RI_nD9;		// "RI values (nD)  [9]"
  //  FLOAT RI_nD10;		// "RI values (nD)  [10]"
  //  FLOAT RI_nD11;		// "RI values (nD)  [11]"
  //  FLOAT RI_nD12;		// "RI values (nD)  [12]"
  //  FLOAT RI_nD13;		// "RI values (nD)  [13]"
  //  FLOAT RI_nD14;		// "RI values (nD)  [14]"
  //  FLOAT RI_nD15;		// "RI values (nD)  [15]"
  //  FLOAT RI_nD16;		// "RI values (nD)  [16]"
  //  FLOAT RI_nD17;		// "RI values (nD)  [17]"
  //  FLOAT RI_nD18;		// "RI values (nD)  [18]"
  //  FLOAT RI_nD19;		// "RI values (nD)  [19]"
  //  FLOAT RI_nD20;		// "RI values (nD)  [20]"
  //  FLOAT RI_nD21;		// "RI values (nD)  [21]"
  //  FLOAT RI_nD22;		// "RI values (nD)  [22]"
  //  FLOAT RI_nD23;		// "RI values (nD)  [23]"
  //  FLOAT RI_nD24;		// "RI values (nD)  [24]"
  //  FLOAT RI_nD25;		// "RI values (nD)  [25]"
  //  FLOAT RI_nD26;		// "RI values (nD)  [26]"
  //  FLOAT RI_nD27;		// "RI values (nD)  [27]"
  //  FLOAT RI_nD28;		// "RI values (nD)  [28]"
  //  FLOAT RI_nD29;		// "RI values (nD)  [29]"
  UINT16 Algorithm;		// "Curve Fit Algorithm"
  UINT16 reserved1;		// "reserved"
  INT64 User_Intercept;		// "Intercept"
  INT64 User_FirstOrder;		// "1st Order Coefficient"
  INT64 User_SecondOrder;		// "2nd Order Coefficient"
  INT64 User_ThirdOrder;		// "3rd Order Coefficient"
  INT64 ConcnRI_Intercept;		// "Intercept"
  INT64 ConcnRI_FirstOrder;		// "1st Order Coefficient"
  INT64 ConcnRI_SecondOrder;		// "2nd Order Coefficient"
  INT64 ConcnRI_ThirdOrder;		// "3rd Order Coefficient"
  ULONG Time;		// "Time Written"
  ULONG Cycle;		// "Cycle when written"
} CONCN_CALIBRATION;
#define SIZE_CONCN_CALIBRATION (sizeof(CONCN_CALIBRATION))



//  RI TempComp Calibration Read=177 Write=178
//
//  !COMMAND 177 178 RITEMPCOMP_CALIBRATION "RI TempComp Calibration"
//
#define ST_CMD_RITEMPCOMP_CALIBRATION 177
#define RITEMPCOMP_CALIBRATION_ACCESS_LEVEL ST_ACCESS_LEVEL_ENGINEER
#define ST_CMD_RITEMPCOMP_CALIBRATION_WRITE 178
// !WRITEREAD 2
typedef struct RITEMPCOMP_CALIBRATIONStruct {
  UINT16 ChemistryNum;		// "Chemistry number"
  UINT16 Algorithm;		// "Curve Fit Algorithm"
  STRING ChemistryTitle[32 PACKED];		// "Description "Chemistry Title""
  FLOAT RI_TCC_1st_C1;		// "RI Temp Comp 1st Order Fit C1"
  FLOAT RI_TCC_2nd_C1;		// "RI Temp Comp 2nd Order Fit C1"
  FLOAT RI_TCC_2nd_C2;		// "RI Temp Comp 2nd Order Fit C2"
  ULONG Time;		// "Last saved"
  ULONG Cycle;		// "Cycle when written"
} RITEMPCOMP_CALIBRATION;
#define SIZE_RITEMPCOMP_CALIBRATION (sizeof(RITEMPCOMP_CALIBRATION))



//  Chemistry Names Read=90 Write=0
//
//  !COMMAND 90 0 CHEMISTRYNAMES "Chemistry Names"
//
#define ST_CMD_CHEMISTRYNAMES 90
#define CHEMISTRYNAMES_ACCESS_LEVEL ST_ACCESS_LEVEL_OWNER
typedef struct CHEMISTRYNAMESStruct {
  STRING ChemistryTitleOne[32 PACKED];		// "Description 0"
  STRING ChemistryTitleTwo[32 PACKED];		// "Description 0"
  STRING ChemistryTitleThree[32 PACKED];		// "Description 0"
  STRING ChemistryTitleFour[32 PACKED];		// "Description 0"
  STRING ChemistryTitleFive[32 PACKED];		// "Description 0"
  STRING ChemistryTitleSix[32 PACKED];		// "Description 0"
  STRING ChemistryTitleSeven[32 PACKED];		// "Description 0"
  STRING ChemistryTitleEight[32 PACKED];		// "Description 0"
  STRING ChemistryTitleNine[32 PACKED];		// "Description 0"
  STRING ChemistryTitleTen[32 PACKED];		// "Description 0"
  STRING ChemistryTitleEleven[32 PACKED];		// "Description 0"
  STRING ChemistryTitleTwelve[32 PACKED];		// "Description 0"
} CHEMISTRYNAMES;
#define SIZE_CHEMISTRYNAMES (sizeof(CHEMISTRYNAMES))



//  Clear Concentration Calibration Table Read=237 Write=0
//
//  !COMMAND 237 0 CLEAR_CONCN_CALIBRATION "Clear Concentration Calibration Table"
//
#define ST_CMD_CLEAR_CONCN_CALIBRATION 237
#define CLEAR_CONCN_CALIBRATION_ACCESS_LEVEL ST_ACCESS_LEVEL_OPERATOR


//  ClearRezero Read=214 Write=0
//
//  !COMMAND 214 0 CLEAR_REZERO "ClearRezero"
//
#define ST_CMD_CLEAR_REZERO 214
#define CLEAR_REZERO_ACCESS_LEVEL ST_ACCESS_LEVEL_OPERATOR


//  ClearTemperatureRezero Read=242 Write=0
//
//  !COMMAND 242 0 CLEAR_TEMPERATURE_REZERO "ClearTemperatureRezero"
//
#define ST_CMD_CLEAR_TEMPERATURE_REZERO 242
#define CLEAR_TEMPERATURE_REZERO_ACCESS_LEVEL ST_ACCESS_LEVEL_OPERATOR


//  Restore Factory Configuration from NV Ram Read=12 Write=0
//
//  !COMMAND 12 0 RESTORE_FACTORY_CONFIGURATION "Restore Factory Configuration from NV Ram"
//
#define ST_CMD_RESTORE_FACTORY_CONFIGURATION 12
#define RESTORE_FACTORY_CONFIGURATION_ACCESS_LEVEL ST_ACCESS_LEVEL_OPERATOR
#define VALIDATE_NONE null
#define INDEX_OFFSET_TABLE_NONE null
#define VALIDATE_SOFTWARE_RESET null
#define INDEX_OFFSET_TABLE_SOFTWARE_RESET null
#define BOUNDS_INDEX_WRITE_NOTE_Message 0
#define VALIDATE_WRITE_NOTE null
#define INDEX_OFFSET_TABLE_WRITE_NOTE null
#define VALIDATE_CLEAR_ERRORS null
#define INDEX_OFFSET_TABLE_CLEAR_ERRORS null
#define VALIDATE_START_MAINTENANCE null
#define INDEX_OFFSET_TABLE_START_MAINTENANCE null
#define VALIDATE_END_MAINTENANCE null
#define INDEX_OFFSET_TABLE_END_MAINTENANCE null
#define BOUNDS_INDEX_TIME_Time 0
#define ST_BOUND_TIME_Time_LO 1381247363
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_TIME[];
extern int validate_TIME(void);
#define VALIDATE_TIME validate_TIME
#define BOUNDS_INDEX_RESET_COUNTERS_ResetCounters 0
#define ST_BOUND_RESET_COUNTERS_ResetCounters_HI 1
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_RESET_COUNTERS[];
extern int validate_RESET_COUNTERS(void);
#define VALIDATE_RESET_COUNTERS validate_RESET_COUNTERS
#define BOUNDS_INDEX_NV_RESET_Force 0
#define BOUNDS_INDEX_NV_RESET_NukeThePlanetFromOrbit 1
#define VALIDATE_NV_RESET null
#define INDEX_OFFSET_TABLE_NV_RESET null
#define VALIDATE_GET_SVIDS null
#define INDEX_OFFSET_TABLE_GET_SVIDS null
#define BOUNDS_INDEX_GET_ALARMS_AlarmNumber 0
#define BOUNDS_INDEX_GET_ALARMS_Count 1
#define ST_BOUND_GET_ALARMS_Count_LO 1
#define ST_BOUND_GET_ALARMS_Count_HI 25
#define BOUNDS_INDEX_GET_ALARMS_Reserved 2
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_GET_ALARMS[];
extern int validate_GET_ALARMS(void);
#define VALIDATE_GET_ALARMS validate_GET_ALARMS
#define BOUNDS_INDEX_GET_LOG_RECORDS_RecordNumber 0
#define BOUNDS_INDEX_GET_LOG_RECORDS_Count 1
#define ST_BOUND_GET_LOG_RECORDS_Count_LO 1
#define ST_BOUND_GET_LOG_RECORDS_Count_HI 25
#define BOUNDS_INDEX_GET_LOG_RECORDS_reserved 2
#define BOUNDS_INDEX_GET_LOG_RECORDS_Cycle 3
#define BOUNDS_INDEX_GET_LOG_RECORDS_SearchTypes 4
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_GET_LOG_RECORDS[];
extern int validate_GET_LOG_RECORDS(void);
#define VALIDATE_GET_LOG_RECORDS validate_GET_LOG_RECORDS
#define BOUNDS_INDEX_READ_RT_TRACES_Points 0
#define ST_BOUND_READ_RT_TRACES_Points_LO 1
#define ST_BOUND_READ_RT_TRACES_Points_HI 50
#define BOUNDS_INDEX_READ_RT_TRACES_Traces 1
#define ST_BOUND_READ_RT_TRACES_Traces_LO 1
#define ST_BOUND_READ_RT_TRACES_Traces_HI ST_TRACE_ALL
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_READ_RT_TRACES[];
extern int validate_READ_RT_TRACES(void);
#define VALIDATE_READ_RT_TRACES validate_READ_RT_TRACES
#define BOUNDS_INDEX_DIAG_FunctionReturn 0
#define BOUNDS_INDEX_DIAG_A 1
#define BOUNDS_INDEX_DIAG_B 2
#define BOUNDS_INDEX_DIAG_C 3
#define BOUNDS_INDEX_DIAG_D 4
#define VALIDATE_DIAG null
#define INDEX_OFFSET_TABLE_DIAG null
#define BOUNDS_INDEX_SYSTEMNAMES_CustomerName 0
#define BOUNDS_INDEX_SYSTEMNAMES_FabName 1
#define BOUNDS_INDEX_SYSTEMNAMES_ToolName 2
#define BOUNDS_INDEX_SYSTEMNAMES_Reserved1 3
#define BOUNDS_INDEX_SYSTEMNAMES_Reserved2 4
#define BOUNDS_INDEX_SYSTEMNAMES_ChemicalName 5
#define BOUNDS_INDEX_SYSTEMNAMES_SystemName 6
#define BOUNDS_INDEX_SYSTEMNAMES_FluidName 7
#define VALIDATE_SYSTEMNAMES null
#define INDEX_OFFSET_TABLE_SYSTEMNAMES null
#define BOUNDS_INDEX_SERIALNUMBERS_System 0
#define BOUNDS_INDEX_SERIALNUMBERS_Reserved1 1
#define BOUNDS_INDEX_SERIALNUMBERS_Reserved2 2
#define BOUNDS_INDEX_SERIALNUMBERS_MainPCB 3
#define BOUNDS_INDEX_SERIALNUMBERS_InterfacePCB 4
#define BOUNDS_INDEX_SERIALNUMBERS_Cover 5
#define BOUNDS_INDEX_SERIALNUMBERS_PairedSensor 6
#define BOUNDS_INDEX_SERIALNUMBERS_Reserved3 7
#define BOUNDS_INDEX_SERIALNUMBERS_Reserved4 8
#define BOUNDS_INDEX_SERIALNUMBERS_Time 9
#define BOUNDS_INDEX_SERIALNUMBERS_Cycle 10
#define VALIDATE_SERIALNUMBERS null
#define INDEX_OFFSET_TABLE_SERIALNUMBERS null
#define BOUNDS_INDEX_TESTINFORMATION_CalibrationID 0
#define BOUNDS_INDEX_TESTINFORMATION_VerificationID 1
#define BOUNDS_INDEX_TESTINFORMATION_DIWCheckID 2
#define BOUNDS_INDEX_TESTINFORMATION_CoverTestID 3
#define BOUNDS_INDEX_TESTINFORMATION_SensorInitializationID 4
#define BOUNDS_INDEX_TESTINFORMATION_SensorInitializationFlag 5
#define ST_BOUND_TESTINFORMATION_SensorInitializationFlag_HI 1
#define BOUNDS_INDEX_TESTINFORMATION_reserved1 6
#define BOUNDS_INDEX_TESTINFORMATION_reserved2 7
#define BOUNDS_INDEX_TESTINFORMATION_reserved3 8
#define BOUNDS_INDEX_TESTINFORMATION_Time 9
#define BOUNDS_INDEX_TESTINFORMATION_Cycle 10
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_TESTINFORMATION[];
extern int validate_TESTINFORMATION(void);
#define VALIDATE_TESTINFORMATION validate_TESTINFORMATION
#define BOUNDS_INDEX_SENSOR_SERIALNUMBER_Sensor 0
#define BOUNDS_INDEX_SENSOR_SERIALNUMBER_Reserved1 1
#define BOUNDS_INDEX_SENSOR_SERIALNUMBER_Time 2
#define BOUNDS_INDEX_SENSOR_SERIALNUMBER_Cycle 3
#define VALIDATE_SENSOR_SERIALNUMBER null
#define INDEX_OFFSET_TABLE_SENSOR_SERIALNUMBER null
#define VALIDATE_FACTORY_RESTORE_AIR_REFERENCE null
#define INDEX_OFFSET_TABLE_FACTORY_RESTORE_AIR_REFERENCE null
#define BOUNDS_INDEX_GET_PROFILE_TRACE_Cycle 0
#define ST_BOUND_GET_PROFILE_TRACE_Cycle_LO 1
#define BOUNDS_INDEX_GET_PROFILE_TRACE_Trace 1
#define ST_BOUND_GET_PROFILE_TRACE_Trace_HI ST_NUM_TRACES
#define BOUNDS_INDEX_GET_PROFILE_TRACE_Size 2
#define ST_BOUND_GET_PROFILE_TRACE_Size_HI 500
#define BOUNDS_INDEX_GET_PROFILE_TRACE_Start 3
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_GET_PROFILE_TRACE[];
extern int validate_GET_PROFILE_TRACE(void);
#define VALIDATE_GET_PROFILE_TRACE validate_GET_PROFILE_TRACE
#define BOUNDS_INDEX_GET_PROFILE_TRACE_INFO_Cycle 0
#define ST_BOUND_GET_PROFILE_TRACE_INFO_Cycle_LO 1
#define BOUNDS_INDEX_GET_PROFILE_TRACE_INFO_Encoding 1
#define BOUNDS_INDEX_GET_PROFILE_TRACE_INFO_SampleInterval 2
#define BOUNDS_INDEX_GET_PROFILE_TRACE_INFO_Time 3
#define BOUNDS_INDEX_GET_PROFILE_TRACE_INFO_StartCycle 4
#define BOUNDS_INDEX_GET_PROFILE_TRACE_INFO_StartControl 5
#define BOUNDS_INDEX_GET_PROFILE_TRACE_INFO_EndControl 6
#define BOUNDS_INDEX_GET_PROFILE_TRACE_INFO_EndCycle 7
#define BOUNDS_INDEX_GET_PROFILE_TRACE_INFO_UnencodedSize 8
#define BOUNDS_INDEX_GET_PROFILE_TRACE_INFO_EncodedSize 9
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_GET_PROFILE_TRACE_INFO[];
extern int validate_GET_PROFILE_TRACE_INFO(void);
#define VALIDATE_GET_PROFILE_TRACE_INFO validate_GET_PROFILE_TRACE_INFO
#define BOUNDS_INDEX_VERSION_reserved1 0
#define BOUNDS_INDEX_VERSION_reserved2 1
#define BOUNDS_INDEX_VERSION_Model 2
#define BOUNDS_INDEX_VERSION_Version 3
#define VALIDATE_VERSION null
#define INDEX_OFFSET_TABLE_VERSION null
#define BOUNDS_INDEX_MODEL_Model 0
#define BOUNDS_INDEX_MODEL_Description 1
#define BOUNDS_INDEX_MODEL_reserved1 2
#define VALIDATE_MODEL null
#define INDEX_OFFSET_TABLE_MODEL null
#define BOUNDS_INDEX_FIRMWAREINFO_ProductQualifier 0
#define BOUNDS_INDEX_FIRMWAREINFO_Comms_Version 1
#define BOUNDS_INDEX_FIRMWAREINFO_MajorVersion 2
#define BOUNDS_INDEX_FIRMWAREINFO_ModuleType 3
#define BOUNDS_INDEX_FIRMWAREINFO_MinorVersion 4
#define BOUNDS_INDEX_FIRMWAREINFO_ProductCode 5
#define BOUNDS_INDEX_FIRMWAREINFO_MapSize 6
#define BOUNDS_INDEX_FIRMWAREINFO_CRC 7
#define VALIDATE_FIRMWAREINFO null
#define INDEX_OFFSET_TABLE_FIRMWAREINFO null
#define VALIDATE_FLASH_SEGMENT null
#define INDEX_OFFSET_TABLE_FLASH_SEGMENT null
#define VALIDATE_FLASH_DATA_SERIALIZED null
#define INDEX_OFFSET_TABLE_FLASH_DATA_SERIALIZED null
#define VALIDATE_FLASH_BURN null
#define INDEX_OFFSET_TABLE_FLASH_BURN null
#define BOUNDS_INDEX_CYCLECOUNTERS_CycleRecordNum 0
#define BOUNDS_INDEX_CYCLECOUNTERS_CycleCounts 1
#define BOUNDS_INDEX_CYCLECOUNTERS_PowerCycles 2
#define BOUNDS_INDEX_CYCLECOUNTERS_CycleCounts_reset_A 3
#define BOUNDS_INDEX_CYCLECOUNTERS_PowerCycles_reset_A 4
#define BOUNDS_INDEX_CYCLECOUNTERS_CycleCounts_reset_B 5
#define BOUNDS_INDEX_CYCLECOUNTERS_PowerCycles_reset_B 6
#define BOUNDS_INDEX_CYCLECOUNTERS_Reserved 7
#define BOUNDS_INDEX_CYCLECOUNTERS_CRC 8
#define VALIDATE_CYCLECOUNTERS null
#define INDEX_OFFSET_TABLE_CYCLECOUNTERS null
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_Address 0
#define ST_BOUND_SYSTEM_PARAMETERS_Address_LO 1
#define ST_BOUND_SYSTEM_PARAMETERS_Address_HI 63
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_MaintenanceModeTimeoutEnable 1
#define ST_BOUND_SYSTEM_PARAMETERS_MaintenanceModeTimeoutEnable_HI 1
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_MaintenanceModeTimeout_min 2
#define ST_BOUND_SYSTEM_PARAMETERS_MaintenanceModeTimeout_min_HI 1000
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_SerialTriggerEnable 3
#define ST_BOUND_SYSTEM_PARAMETERS_SerialTriggerEnable_HI 1
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_Analog_Output_Concn_Min 4
#define ST_BOUND_SYSTEM_PARAMETERS_Analog_Output_Concn_Min_LO -10000
#define ST_BOUND_SYSTEM_PARAMETERS_Analog_Output_Concn_Min_HI 10000
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_Analog_Output_Concn_Max 5
#define ST_BOUND_SYSTEM_PARAMETERS_Analog_Output_Concn_Max_LO 0
#define ST_BOUND_SYSTEM_PARAMETERS_Analog_Output_Concn_Max_HI 10000
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_Analog_Output_Temperature_Min 6
#define ST_BOUND_SYSTEM_PARAMETERS_Analog_Output_Temperature_Min_LO 5
#define ST_BOUND_SYSTEM_PARAMETERS_Analog_Output_Temperature_Min_HI 50
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_Analog_Output_Temperature_Max 7
#define ST_BOUND_SYSTEM_PARAMETERS_Analog_Output_Temperature_Max_LO 5
#define ST_BOUND_SYSTEM_PARAMETERS_Analog_Output_Temperature_Max_HI 50
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_Analog_Output_RI_Min 8
#define ST_BOUND_SYSTEM_PARAMETERS_Analog_Output_RI_Min_LO 1.28
#define ST_BOUND_SYSTEM_PARAMETERS_Analog_Output_RI_Min_HI 1.44
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_Analog_Output_RI_Max 9
#define ST_BOUND_SYSTEM_PARAMETERS_Analog_Output_RI_Max_LO 1.28
#define ST_BOUND_SYSTEM_PARAMETERS_Analog_Output_RI_Max_HI 1.44
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_SerialTerminationEnable 10
#define ST_BOUND_SYSTEM_PARAMETERS_SerialTerminationEnable_HI 1
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_PP_WeightedAverage_ds 11
#define ST_BOUND_SYSTEM_PARAMETERS_PP_WeightedAverage_ds_HI 1000
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_RI_Rezero_Target_RI 12
#define ST_BOUND_SYSTEM_PARAMETERS_RI_Rezero_Target_RI_LO 1.32
#define ST_BOUND_SYSTEM_PARAMETERS_RI_Rezero_Target_RI_HI 1.4
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_RI_Rezero_Avg_ms 13
#define ST_BOUND_SYSTEM_PARAMETERS_RI_Rezero_Avg_ms_LO 1000
#define ST_BOUND_SYSTEM_PARAMETERS_RI_Rezero_Avg_ms_HI 60000
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_ChemistryNum 14
#define ST_BOUND_SYSTEM_PARAMETERS_ChemistryNum_HI ST_NUM_CHEMISTRIES
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_RI_Rezero_ChemistryNum 15
#define ST_BOUND_SYSTEM_PARAMETERS_RI_Rezero_ChemistryNum_HI ST_NUM_CHEMISTRIES
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_RI_Rezero_Stablity 16
#define ST_BOUND_SYSTEM_PARAMETERS_RI_Rezero_Stablity_LO 1e-06
#define ST_BOUND_SYSTEM_PARAMETERS_RI_Rezero_Stablity_HI 0.1
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_Temp_Rezero_Stablity 17
#define ST_BOUND_SYSTEM_PARAMETERS_Temp_Rezero_Stablity_LO 0.01
#define ST_BOUND_SYSTEM_PARAMETERS_Temp_Rezero_Stablity_HI 10
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_ConcentrationRezero 18
#define ST_BOUND_SYSTEM_PARAMETERS_ConcentrationRezero_LO -100
#define ST_BOUND_SYSTEM_PARAMETERS_ConcentrationRezero_HI 100
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_reserved3 19
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_reserved4 20
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_reserved5 21
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_reserved6 22
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_reserved7 23
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_reserved8 24
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_reserved9 25
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_reserved10 26
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_Time 27
#define BOUNDS_INDEX_SYSTEM_PARAMETERS_Cycle 28
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_SYSTEM_PARAMETERS[];
extern int validate_SYSTEM_PARAMETERS(void);
#define VALIDATE_SYSTEM_PARAMETERS validate_SYSTEM_PARAMETERS
#define BOUNDS_INDEX_ANALOG_PARAMETERS_AnalogOutput1_TrimModeEnable 0
#define ST_BOUND_ANALOG_PARAMETERS_AnalogOutput1_TrimModeEnable_HI 1
#define BOUNDS_INDEX_ANALOG_PARAMETERS_AnalogOutput2_TrimModeEnable 1
#define ST_BOUND_ANALOG_PARAMETERS_AnalogOutput2_TrimModeEnable_HI 1
#define BOUNDS_INDEX_ANALOG_PARAMETERS_AnalogOutput3_TrimModeEnable 2
#define ST_BOUND_ANALOG_PARAMETERS_AnalogOutput3_TrimModeEnable_HI 1
#define BOUNDS_INDEX_ANALOG_PARAMETERS_reserved1 3
#define BOUNDS_INDEX_ANALOG_PARAMETERS_AnalogOutput1_ForceValue 4
#define ST_BOUND_ANALOG_PARAMETERS_AnalogOutput1_ForceValue_LO 4
#define ST_BOUND_ANALOG_PARAMETERS_AnalogOutput1_ForceValue_HI 20
#define BOUNDS_INDEX_ANALOG_PARAMETERS_AnalogOutput2_ForceValue 5
#define ST_BOUND_ANALOG_PARAMETERS_AnalogOutput2_ForceValue_LO 4
#define ST_BOUND_ANALOG_PARAMETERS_AnalogOutput2_ForceValue_HI 20
#define BOUNDS_INDEX_ANALOG_PARAMETERS_AnalogOutput3_ForceValue 6
#define ST_BOUND_ANALOG_PARAMETERS_AnalogOutput3_ForceValue_LO 4
#define ST_BOUND_ANALOG_PARAMETERS_AnalogOutput3_ForceValue_HI 20
#define BOUNDS_INDEX_ANALOG_PARAMETERS_AnalogOutput1_Trim_4mA 7
#define ST_BOUND_ANALOG_PARAMETERS_AnalogOutput1_Trim_4mA_LO -250
#define ST_BOUND_ANALOG_PARAMETERS_AnalogOutput1_Trim_4mA_HI 250
#define BOUNDS_INDEX_ANALOG_PARAMETERS_AnalogOutput1_Trim_20mA 8
#define ST_BOUND_ANALOG_PARAMETERS_AnalogOutput1_Trim_20mA_LO -250
#define ST_BOUND_ANALOG_PARAMETERS_AnalogOutput1_Trim_20mA_HI 250
#define BOUNDS_INDEX_ANALOG_PARAMETERS_AnalogOutput2_Trim_4mA 9
#define ST_BOUND_ANALOG_PARAMETERS_AnalogOutput2_Trim_4mA_LO -250
#define ST_BOUND_ANALOG_PARAMETERS_AnalogOutput2_Trim_4mA_HI 250
#define BOUNDS_INDEX_ANALOG_PARAMETERS_AnalogOutput2_Trim_20mA 10
#define ST_BOUND_ANALOG_PARAMETERS_AnalogOutput2_Trim_20mA_LO -250
#define ST_BOUND_ANALOG_PARAMETERS_AnalogOutput2_Trim_20mA_HI 250
#define BOUNDS_INDEX_ANALOG_PARAMETERS_AnalogOutput3_Trim_4mA 11
#define ST_BOUND_ANALOG_PARAMETERS_AnalogOutput3_Trim_4mA_LO -250
#define ST_BOUND_ANALOG_PARAMETERS_AnalogOutput3_Trim_4mA_HI 250
#define BOUNDS_INDEX_ANALOG_PARAMETERS_AnalogOutput3_Trim_20mA 12
#define ST_BOUND_ANALOG_PARAMETERS_AnalogOutput3_Trim_20mA_LO -250
#define ST_BOUND_ANALOG_PARAMETERS_AnalogOutput3_Trim_20mA_HI 250
#define BOUNDS_INDEX_ANALOG_PARAMETERS_reserved2 13
#define BOUNDS_INDEX_ANALOG_PARAMETERS_reserved3 14
#define BOUNDS_INDEX_ANALOG_PARAMETERS_Time 15
#define BOUNDS_INDEX_ANALOG_PARAMETERS_Cycle 16
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_ANALOG_PARAMETERS[];
extern int validate_ANALOG_PARAMETERS(void);
#define VALIDATE_ANALOG_PARAMETERS validate_ANALOG_PARAMETERS
#define BOUNDS_INDEX_INPUT_OUTPUT_STATUS_AnalogOutput1_uA 0
#define BOUNDS_INDEX_INPUT_OUTPUT_STATUS_AnalogOutput2_uA 1
#define BOUNDS_INDEX_INPUT_OUTPUT_STATUS_AnalogOutput3_uA 2
#define BOUNDS_INDEX_INPUT_OUTPUT_STATUS_DigitalInputsOutputs 3
#define VALIDATE_INPUT_OUTPUT_STATUS null
#define INDEX_OFFSET_TABLE_INPUT_OUTPUT_STATUS null
#define VALIDATE_OVERRIDE_SENSOR_INIT_ERROR null
#define INDEX_OFFSET_TABLE_OVERRIDE_SENSOR_INIT_ERROR null
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_MovingAverage 0
#define ST_BOUND_ENGINEERING_PARAMETERS_MovingAverage_HI 1
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_ADC_Averaging 1
#define ST_BOUND_ENGINEERING_PARAMETERS_ADC_Averaging_LO 1
#define ST_BOUND_ENGINEERING_PARAMETERS_ADC_Averaging_HI 50
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_Temp_ADC_Averaging 2
#define ST_BOUND_ENGINEERING_PARAMETERS_Temp_ADC_Averaging_LO 1
#define ST_BOUND_ENGINEERING_PARAMETERS_Temp_ADC_Averaging_HI 50
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_ExposureTime_uS 3
#define ST_BOUND_ENGINEERING_PARAMETERS_ExposureTime_uS_HI 10000
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_SuppressedValuePeakDetection 4
#define ST_BOUND_ENGINEERING_PARAMETERS_SuppressedValuePeakDetection_HI 1
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_NonContiguousDetection 5
#define ST_BOUND_ENGINEERING_PARAMETERS_NonContiguousDetection_HI 1
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_PP_AveragingType 6
#define ST_BOUND_ENGINEERING_PARAMETERS_PP_AveragingType_HI 3
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_Tau_Thermal_ms 7
#define ST_BOUND_ENGINEERING_PARAMETERS_Tau_Thermal_ms_HI 14000
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_Tau_ms 8
#define ST_BOUND_ENGINEERING_PARAMETERS_Tau_ms_HI 14000
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_SensorAlarmOverride 9
#define ST_BOUND_ENGINEERING_PARAMETERS_SensorAlarmOverride_HI 1
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_ContributingPixelThresholdDetection 10
#define ST_BOUND_ENGINEERING_PARAMETERS_ContributingPixelThresholdDetection_HI 1
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_reserved2 11
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_reserved3 12
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_reserved4 13
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_reserved5 14
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_reserved6 15
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_reserved7 16
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_reserved8 17
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_reserved9 18
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_reserved10 19
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_reserved11 20
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_reserved12 21
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_reserved13 22
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_reserved14 23
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_reserved15 24
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_BaudRate 25
#define ST_BOUND_ENGINEERING_PARAMETERS_BaudRate_LO 9600
#define ST_BOUND_ENGINEERING_PARAMETERS_BaudRate_HI 115200
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_Time 26
#define BOUNDS_INDEX_ENGINEERING_PARAMETERS_Cycle 27
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_ENGINEERING_PARAMETERS[];
extern int validate_ENGINEERING_PARAMETERS(void);
#define VALIDATE_ENGINEERING_PARAMETERS validate_ENGINEERING_PARAMETERS
#define BOUNDS_INDEX_START_PROFILE_ProfileNum 0
#define ST_BOUND_START_PROFILE_ProfileNum_LO 1
#define ST_BOUND_START_PROFILE_ProfileNum_HI 1
#define BOUNDS_INDEX_START_PROFILE_reserved1 1
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_START_PROFILE[];
extern int validate_START_PROFILE(void);
#define VALIDATE_START_PROFILE validate_START_PROFILE
#define BOUNDS_INDEX_ENGINEERING_READ_CURVE_CurveNum 0
#define BOUNDS_INDEX_ENGINEERING_READ_CURVE_reserved1 1
#define BOUNDS_INDEX_ENGINEERING_READ_CURVE_Data 2
#define BOUNDS_INDEX_ENGINEERING_READ_CURVE_Time 3
#define BOUNDS_INDEX_ENGINEERING_READ_CURVE_Cycle 4
#define VALIDATE_ENGINEERING_READ_CURVE null
#define INDEX_OFFSET_TABLE_ENGINEERING_READ_CURVE null
#define BOUNDS_INDEX_READ_CURVE_CurveNum 0
#define BOUNDS_INDEX_READ_CURVE_LED_Intensity 1
#define ST_BOUND_READ_CURVE_LED_Intensity_HI 4095
#define BOUNDS_INDEX_READ_CURVE_reserved0 2
#define BOUNDS_INDEX_READ_CURVE_reserved1 3
#define BOUNDS_INDEX_READ_CURVE_PixelPosition 4
#define BOUNDS_INDEX_READ_CURVE_PixelPositionRaw 5
#define BOUNDS_INDEX_READ_CURVE_RefractiveIndex 6
#define BOUNDS_INDEX_READ_CURVE_RefractiveIndexRaw 7
#define BOUNDS_INDEX_READ_CURVE_Concentration 8
#define BOUNDS_INDEX_READ_CURVE_Window_Temperature 9
#define BOUNDS_INDEX_READ_CURVE_Fluid_Temperature 10
#define BOUNDS_INDEX_READ_CURVE_Potting_Temperature 11
#define BOUNDS_INDEX_READ_CURVE_PCB_Temperature 12
#define BOUNDS_INDEX_READ_CURVE_reserved2 13
#define BOUNDS_INDEX_READ_CURVE_reserved3 14
#define BOUNDS_INDEX_READ_CURVE_reserved4 15
#define BOUNDS_INDEX_READ_CURVE_reserved5 16
#define BOUNDS_INDEX_READ_CURVE_reserved6 17
#define BOUNDS_INDEX_READ_CURVE_reserved7 18
#define BOUNDS_INDEX_READ_CURVE_reserved8 19
#define BOUNDS_INDEX_READ_CURVE_reserved9 20
#define BOUNDS_INDEX_READ_CURVE_Data 21
#define BOUNDS_INDEX_READ_CURVE_Time 22
#define BOUNDS_INDEX_READ_CURVE_Cycle 23
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_READ_CURVE[];
extern int validate_READ_CURVE(void);
#define VALIDATE_READ_CURVE validate_READ_CURVE
#define BOUNDS_INDEX_READ_CURVE_303_CurveNum 0
#define BOUNDS_INDEX_READ_CURVE_303_LED_Intensity 1
#define ST_BOUND_READ_CURVE_303_LED_Intensity_HI 4095
#define BOUNDS_INDEX_READ_CURVE_303_reserved0 2
#define BOUNDS_INDEX_READ_CURVE_303_reserved1 3
#define BOUNDS_INDEX_READ_CURVE_303_Concentration 4
#define BOUNDS_INDEX_READ_CURVE_303_Fluid_Temperature 5
#define BOUNDS_INDEX_READ_CURVE_303_PixelPosition 6
#define BOUNDS_INDEX_READ_CURVE_303_PixelPositionRaw 7
#define BOUNDS_INDEX_READ_CURVE_303_RefractiveIndex 8
#define BOUNDS_INDEX_READ_CURVE_303_RefractiveIndexRaw 9
#define BOUNDS_INDEX_READ_CURVE_303_Data 10
#define BOUNDS_INDEX_READ_CURVE_303_Time 11
#define BOUNDS_INDEX_READ_CURVE_303_Cycle 12
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_READ_CURVE_303[];
extern int validate_READ_CURVE_303(void);
#define VALIDATE_READ_CURVE_303 validate_READ_CURVE_303
#define VALIDATE_SAVE_CURVES null
#define INDEX_OFFSET_TABLE_SAVE_CURVES null
#define BOUNDS_INDEX_ASSIGN_OUTPUT_MapLogic 0
#define BOUNDS_INDEX_ASSIGN_OUTPUT_reserved0 1
#define BOUNDS_INDEX_ASSIGN_OUTPUT_SinkSourceSelect 2
#define BOUNDS_INDEX_ASSIGN_OUTPUT_MapBits 3
#define BOUNDS_INDEX_ASSIGN_OUTPUT_reserved1 4
#define BOUNDS_INDEX_ASSIGN_OUTPUT_reserved2 5
#define BOUNDS_INDEX_ASSIGN_OUTPUT_DisableSave 6
#define BOUNDS_INDEX_ASSIGN_OUTPUT_reserved3 7
#define VALIDATE_ASSIGN_OUTPUT null
#define INDEX_OFFSET_TABLE_ASSIGN_OUTPUT null
#define BOUNDS_INDEX_ASSIGN_INPUT_MapLogic 0
#define BOUNDS_INDEX_ASSIGN_INPUT_reserved0 1
#define BOUNDS_INDEX_ASSIGN_INPUT_SinkSourceSelect 2
#define BOUNDS_INDEX_ASSIGN_INPUT_MapBits 3
#define BOUNDS_INDEX_ASSIGN_INPUT_MapGroup 4
#define BOUNDS_INDEX_ASSIGN_INPUT_reserved1 5
#define BOUNDS_INDEX_ASSIGN_INPUT_reserved2 6
#define BOUNDS_INDEX_ASSIGN_INPUT_DisableSave 7
#define BOUNDS_INDEX_ASSIGN_INPUT_reserved3 8
#define VALIDATE_ASSIGN_INPUT null
#define INDEX_OFFSET_TABLE_ASSIGN_INPUT null
#define BOUNDS_INDEX_RTSTATUS_Status 0
#define BOUNDS_INDEX_RTSTATUS_Indicators 1
#define BOUNDS_INDEX_RTSTATUS_LastCycle 2
#define BOUNDS_INDEX_RTSTATUS_reserved7 3
#define BOUNDS_INDEX_RTSTATUS_reserved8 4
#define BOUNDS_INDEX_RTSTATUS_reserved9 5
#define BOUNDS_INDEX_RTSTATUS_reserved1 6
#define BOUNDS_INDEX_RTSTATUS_TotalCycleCounts 7
#define BOUNDS_INDEX_RTSTATUS_ResettableCycleCounts 8
#define BOUNDS_INDEX_RTSTATUS_CriticalErrors 9
#define BOUNDS_INDEX_RTSTATUS_Errors 10
#define BOUNDS_INDEX_RTSTATUS_Warnings 11
#define BOUNDS_INDEX_RTSTATUS_Infos 12
#define BOUNDS_INDEX_RTSTATUS_TotalAlarms 13
#define BOUNDS_INDEX_RTSTATUS_reserved2 14
#define BOUNDS_INDEX_RTSTATUS_NewestAlarmNum 15
#define BOUNDS_INDEX_RTSTATUS_NewestRecordNum 16
#define BOUNDS_INDEX_RTSTATUS_LastClearedRecord 17
#define BOUNDS_INDEX_RTSTATUS_LastClearedAlarm 18
#define BOUNDS_INDEX_RTSTATUS_ProfileCycle 19
#define BOUNDS_INDEX_RTSTATUS_FirmwareImage 20
#define BOUNDS_INDEX_RTSTATUS_FirmwareImageInfo_0 21
#define BOUNDS_INDEX_RTSTATUS_FirmwareImageInfo_1 22
#define BOUNDS_INDEX_RTSTATUS_Serial 23
#define BOUNDS_INDEX_RTSTATUS_PowerCycles 24
#define BOUNDS_INDEX_RTSTATUS_reserved3 25
#define BOUNDS_INDEX_RTSTATUS_reserved4 26
#define BOUNDS_INDEX_RTSTATUS_reserved5 27
#define BOUNDS_INDEX_RTSTATUS_reserved6 28
#define VALIDATE_RTSTATUS null
#define INDEX_OFFSET_TABLE_RTSTATUS null
#define BOUNDS_INDEX_SYSTEMSTATUS_Inputs 0
#define BOUNDS_INDEX_SYSTEMSTATUS_Outputs 1
#define BOUNDS_INDEX_SYSTEMSTATUS_CurrentRecipe 2
#define BOUNDS_INDEX_SYSTEMSTATUS_ModuleMapped 3
#define BOUNDS_INDEX_SYSTEMSTATUS_AnalogMapped 4
#define BOUNDS_INDEX_SYSTEMSTATUS_InfoFlag 5
#define BOUNDS_INDEX_SYSTEMSTATUS_CriticalErrorFlag 6
#define BOUNDS_INDEX_SYSTEMSTATUS_ErrorFlag 7
#define BOUNDS_INDEX_SYSTEMSTATUS_WarningFlag 8
#define BOUNDS_INDEX_SYSTEMSTATUS_ClearAlarmPending 9
#define BOUNDS_INDEX_SYSTEMSTATUS_reserved2 10
#define BOUNDS_INDEX_SYSTEMSTATUS_ActiveSetpoint_sRI 11
#define BOUNDS_INDEX_SYSTEMSTATUS_CancelRecipe 12
#define BOUNDS_INDEX_SYSTEMSTATUS_SaveCurves 13
#define BOUNDS_INDEX_SYSTEMSTATUS_MotorCurrent_mA 14
#define BOUNDS_INDEX_SYSTEMSTATUS_MotorCurrent_UnCal_mA 15
#define BOUNDS_INDEX_SYSTEMSTATUS_DACForceFlag_Uncal 16
#define BOUNDS_INDEX_SYSTEMSTATUS_DACForceFlag_Cal 17
#define BOUNDS_INDEX_SYSTEMSTATUS_StatusLEDSForceFlag 18
#define BOUNDS_INDEX_SYSTEMSTATUS_StatusLED1Flag 19
#define BOUNDS_INDEX_SYSTEMSTATUS_StatusLED2Flag 20
#define BOUNDS_INDEX_SYSTEMSTATUS_StatusLED3Flag 21
#define BOUNDS_INDEX_SYSTEMSTATUS_StatusLED4Flag 22
#define BOUNDS_INDEX_SYSTEMSTATUS_DigOutForceFlag 23
#define BOUNDS_INDEX_SYSTEMSTATUS_ModuleMemoryError_flag 24
#define BOUNDS_INDEX_SYSTEMSTATUS_SRSensorLEDForceFlag 25
#define BOUNDS_INDEX_SYSTEMSTATUS_TCCApplication 26
#define BOUNDS_INDEX_SYSTEMSTATUS_SizeActiveTraceBuffer 27
#define BOUNDS_INDEX_SYSTEMSTATUS_RT_GraphSampleRate_ms 28
#define BOUNDS_INDEX_SYSTEMSTATUS_RT_GraphLength_sec 29
#define BOUNDS_INDEX_SYSTEMSTATUS_StatusAOut1Flag 30
#define BOUNDS_INDEX_SYSTEMSTATUS_StatusAOut2Flag 31
#define BOUNDS_INDEX_SYSTEMSTATUS_StatusAOut3Flag 32
#define BOUNDS_INDEX_SYSTEMSTATUS_ErraticAnalogOutputFlag 33
#define BOUNDS_INDEX_SYSTEMSTATUS_SkipSR2SensorWarnings 34
#define BOUNDS_INDEX_SYSTEMSTATUS_reserved14 35
#define BOUNDS_INDEX_SYSTEMSTATUS_reserved15 36
#define VALIDATE_SYSTEMSTATUS null
#define INDEX_OFFSET_TABLE_SYSTEMSTATUS null
#define BOUNDS_INDEX_VOLTAGESTATUS_mV_24_0_VDC 0
#define BOUNDS_INDEX_VOLTAGESTATUS_mV_5_0_VDC 1
#define BOUNDS_INDEX_VOLTAGESTATUS_mV_3_0_VDC 2
#define BOUNDS_INDEX_VOLTAGESTATUS_mV_3_3_VDC 3
#define BOUNDS_INDEX_VOLTAGESTATUS_mV_1_9_VDC 4
#define BOUNDS_INDEX_VOLTAGESTATUS_Battery 5
#define BOUNDS_INDEX_VOLTAGESTATUS_reserved1 6
#define BOUNDS_INDEX_VOLTAGESTATUS_reserved2 7
#define VALIDATE_VOLTAGESTATUS null
#define INDEX_OFFSET_TABLE_VOLTAGESTATUS null
#define BOUNDS_INDEX_MODULE_PacketType 0
#define BOUNDS_INDEX_MODULE_PacketSize 1
#define BOUNDS_INDEX_MODULE_Sync 2
#define BOUNDS_INDEX_MODULE_Status 3
#define BOUNDS_INDEX_MODULE_RemoteErrors 4
#define BOUNDS_INDEX_MODULE_Address 5
#define BOUNDS_INDEX_MODULE_ModuleType 6
#define BOUNDS_INDEX_MODULE_reserved1 7
#define BOUNDS_INDEX_MODULE_ModuleInputs 8
#define BOUNDS_INDEX_MODULE_Valid 9
#define BOUNDS_INDEX_MODULE_reserved2 10
#define BOUNDS_INDEX_MODULE_AnalogInput1 11
#define BOUNDS_INDEX_MODULE_AnalogInput2 12
#define BOUNDS_INDEX_MODULE_AnalogInput3 13
#define BOUNDS_INDEX_MODULE_AnalogInput4 14
#define BOUNDS_INDEX_MODULE_AnalogInput5 15
#define BOUNDS_INDEX_MODULE_AnalogInput6 16
#define BOUNDS_INDEX_MODULE_AnalogInputMin1 17
#define BOUNDS_INDEX_MODULE_AnalogInputMin2 18
#define BOUNDS_INDEX_MODULE_AnalogInputMin3 19
#define BOUNDS_INDEX_MODULE_AnalogInputMin4 20
#define BOUNDS_INDEX_MODULE_AnalogInputMin5 21
#define BOUNDS_INDEX_MODULE_AnalogInputMin6 22
#define BOUNDS_INDEX_MODULE_AnalogInputMax1 23
#define BOUNDS_INDEX_MODULE_AnalogInputMax2 24
#define BOUNDS_INDEX_MODULE_AnalogInputMax3 25
#define BOUNDS_INDEX_MODULE_AnalogInputMax4 26
#define BOUNDS_INDEX_MODULE_AnalogInputMax5 27
#define BOUNDS_INDEX_MODULE_AnalogInputMax6 28
#define BOUNDS_INDEX_MODULE_AnalogOutput1 29
#define BOUNDS_INDEX_MODULE_AnalogOutput2 30
#define BOUNDS_INDEX_MODULE_AnalogOutput3 31
#define BOUNDS_INDEX_MODULE_AnalogOutput4 32
#define BOUNDS_INDEX_MODULE_AnalogOutput5 33
#define BOUNDS_INDEX_MODULE_AnalogOutput6 34
#define BOUNDS_INDEX_MODULE_AnalogOutputMin1 35
#define BOUNDS_INDEX_MODULE_AnalogOutputMin2 36
#define BOUNDS_INDEX_MODULE_AnalogOutputMin3 37
#define BOUNDS_INDEX_MODULE_AnalogOutputMin4 38
#define BOUNDS_INDEX_MODULE_AnalogOutputMin5 39
#define BOUNDS_INDEX_MODULE_AnalogOutputMin6 40
#define BOUNDS_INDEX_MODULE_AnalogOutputMax1 41
#define BOUNDS_INDEX_MODULE_AnalogOutputMax2 42
#define BOUNDS_INDEX_MODULE_AnalogOutputMax3 43
#define BOUNDS_INDEX_MODULE_AnalogOutputMax4 44
#define BOUNDS_INDEX_MODULE_AnalogOutputMax5 45
#define BOUNDS_INDEX_MODULE_AnalogOutputMax6 46
#define BOUNDS_INDEX_MODULE_Control 47
#define BOUNDS_INDEX_MODULE_Command 48
#define BOUNDS_INDEX_MODULE_ModuleOutputs 49
#define BOUNDS_INDEX_MODULE_TrackAddress 50
#define BOUNDS_INDEX_MODULE_PacketType_tx 51
#define BOUNDS_INDEX_MODULE_BaudRate 52
#define BOUNDS_INDEX_MODULE_Errors 53
#define BOUNDS_INDEX_MODULE_Syncs 54
#define BOUNDS_INDEX_MODULE_Packets 55
#define BOUNDS_INDEX_MODULE_TaskErrors 56
#define BOUNDS_INDEX_MODULE_TaskRemoteErrors 57
#define BOUNDS_INDEX_MODULE_TaskSyncs 58
#define BOUNDS_INDEX_MODULE_LightningBolts 59
#define BOUNDS_INDEX_MODULE_RXERROR 60
#define BOUNDS_INDEX_MODULE_SerialWrites 61
#define BOUNDS_INDEX_MODULE_SerialReceivePackets 62
#define BOUNDS_INDEX_MODULE_Sleeps 63
#define BOUNDS_INDEX_MODULE_NumTxIsr 64
#define BOUNDS_INDEX_MODULE_NumRxIsr 65
#define BOUNDS_INDEX_MODULE_UpTime 66
#define VALIDATE_MODULE null
#define INDEX_OFFSET_TABLE_MODULE null
#define BOUNDS_INDEX_DATAFLASH_LogPage 0
#define BOUNDS_INDEX_DATAFLASH_AlarmNumber 1
#define BOUNDS_INDEX_DATAFLASH_RecordNumber 2
#define BOUNDS_INDEX_DATAFLASH_LogPageWrapped 3
#define BOUNDS_INDEX_DATAFLASH_CRCErrors 4
#define BOUNDS_INDEX_DATAFLASH_Writes 5
#define BOUNDS_INDEX_DATAFLASH_Reads 6
#define BOUNDS_INDEX_DATAFLASH_Errors 7
#define BOUNDS_INDEX_DATAFLASH_ChipErrors 8
#define BOUNDS_INDEX_DATAFLASH_DMA 9
#define BOUNDS_INDEX_DATAFLASH_DMAtimeouts 10
#define BOUNDS_INDEX_DATAFLASH_Finds 11
#define BOUNDS_INDEX_DATAFLASH_Erases 12
#define BOUNDS_INDEX_DATAFLASH_cycles_lb 13
#define BOUNDS_INDEX_DATAFLASH_cycles_ptr 14
#define BOUNDS_INDEX_DATAFLASH_reserved 15
#define BOUNDS_INDEX_DATAFLASH_flag_status_register 16
#define BOUNDS_INDEX_DATAFLASH_g_flag_status_register 17
#define BOUNDS_INDEX_DATAFLASH_reserved1 18
#define BOUNDS_INDEX_DATAFLASH_reserved2 19
#define BOUNDS_INDEX_DATAFLASH_reserved3 20
#define BOUNDS_INDEX_DATAFLASH_reserved4 21
#define VALIDATE_DATAFLASH null
#define INDEX_OFFSET_TABLE_DATAFLASH null
#define BOUNDS_INDEX_EEPROM_Writes 0
#define BOUNDS_INDEX_EEPROM_Reads 1
#define BOUNDS_INDEX_EEPROM_Errors 2
#define BOUNDS_INDEX_EEPROM_ChipErrors 3
#define BOUNDS_INDEX_EEPROM_Erases 4
#define BOUNDS_INDEX_EEPROM_CRCErrors 5
#define BOUNDS_INDEX_EEPROM_reserved1 6
#define BOUNDS_INDEX_EEPROM_reserved2 7
#define VALIDATE_EEPROM null
#define INDEX_OFFSET_TABLE_EEPROM null
#define BOUNDS_INDEX_CONFIRMATION_LIMITS_RecipeNum 0
#define ST_BOUND_CONFIRMATION_LIMITS_RecipeNum_LO 1
#define ST_BOUND_CONFIRMATION_LIMITS_RecipeNum_HI ST_NUM_RECIPES
#define BOUNDS_INDEX_CONFIRMATION_LIMITS_Enable 1
#define ST_BOUND_CONFIRMATION_LIMITS_Enable_HI ST_DC_ALARM_ERROR
#define BOUNDS_INDEX_CONFIRMATION_LIMITS_MaxRI_WarnLimit 2
#define ST_BOUND_CONFIRMATION_LIMITS_MaxRI_WarnLimit_LO 1200000
#define ST_BOUND_CONFIRMATION_LIMITS_MaxRI_WarnLimit_HI 1600000
#define BOUNDS_INDEX_CONFIRMATION_LIMITS_MaxRI_ErrorLimit 3
#define ST_BOUND_CONFIRMATION_LIMITS_MaxRI_ErrorLimit_LO 1200000
#define ST_BOUND_CONFIRMATION_LIMITS_MaxRI_ErrorLimit_HI 1600000
#define BOUNDS_INDEX_CONFIRMATION_LIMITS_MaxRI_Enable 4
#define ST_BOUND_CONFIRMATION_LIMITS_MaxRI_Enable_HI ST_DC_ALARM_HIDE
#define BOUNDS_INDEX_CONFIRMATION_LIMITS_MaxRI_TestType 5
#define ST_BOUND_CONFIRMATION_LIMITS_MaxRI_TestType_LO ST_DC_TEST_GREATER_THEN
#define ST_BOUND_CONFIRMATION_LIMITS_MaxRI_TestType_HI ST_DC_TEST_GREATER_THEN
#define BOUNDS_INDEX_CONFIRMATION_LIMITS_AvgRI_WarnLimit 6
#define ST_BOUND_CONFIRMATION_LIMITS_AvgRI_WarnLimit_LO 1200000
#define ST_BOUND_CONFIRMATION_LIMITS_AvgRI_WarnLimit_HI 1600000
#define BOUNDS_INDEX_CONFIRMATION_LIMITS_AvgRI_ErrorLimit 7
#define ST_BOUND_CONFIRMATION_LIMITS_AvgRI_ErrorLimit_LO 1200000
#define ST_BOUND_CONFIRMATION_LIMITS_AvgRI_ErrorLimit_HI 1600000
#define BOUNDS_INDEX_CONFIRMATION_LIMITS_AvgRI_Enable 8
#define ST_BOUND_CONFIRMATION_LIMITS_AvgRI_Enable_HI ST_DC_ALARM_HIDE
#define BOUNDS_INDEX_CONFIRMATION_LIMITS_AvgRI_TestType 9
#define ST_BOUND_CONFIRMATION_LIMITS_AvgRI_TestType_LO ST_DC_TEST_GREATER_THEN
#define ST_BOUND_CONFIRMATION_LIMITS_AvgRI_TestType_HI ST_DC_TEST_GREATER_THEN
#define BOUNDS_INDEX_CONFIRMATION_LIMITS_CycleTime_WarnLimit 10
#define ST_BOUND_CONFIRMATION_LIMITS_CycleTime_WarnLimit_HI 6000
#define BOUNDS_INDEX_CONFIRMATION_LIMITS_CycleTime_ErrorLimit 11
#define ST_BOUND_CONFIRMATION_LIMITS_CycleTime_ErrorLimit_HI 6000
#define BOUNDS_INDEX_CONFIRMATION_LIMITS_CycleTime_Enable 12
#define ST_BOUND_CONFIRMATION_LIMITS_CycleTime_Enable_HI ST_DC_ALARM_HIDE
#define BOUNDS_INDEX_CONFIRMATION_LIMITS_CycleTime_TestType 13
#define ST_BOUND_CONFIRMATION_LIMITS_CycleTime_TestType_LO ST_DC_TEST_GREATER_THEN
#define ST_BOUND_CONFIRMATION_LIMITS_CycleTime_TestType_HI ST_DC_TEST_GREATER_THEN
#define BOUNDS_INDEX_CONFIRMATION_LIMITS_Time 14
#define BOUNDS_INDEX_CONFIRMATION_LIMITS_Cycle 15
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_CONFIRMATION_LIMITS[];
extern int validate_CONFIRMATION_LIMITS(void);
#define VALIDATE_CONFIRMATION_LIMITS validate_CONFIRMATION_LIMITS
#define BOUNDS_INDEX_CONFIRMATION_STATUS_ReferenceNum 0
#define BOUNDS_INDEX_CONFIRMATION_STATUS_reserved0 1
#define BOUNDS_INDEX_CONFIRMATION_STATUS_Cycle 2
#define BOUNDS_INDEX_CONFIRMATION_STATUS_ReferenceCycle 3
#define BOUNDS_INDEX_CONFIRMATION_STATUS_MaxRI_VUT 4
#define BOUNDS_INDEX_CONFIRMATION_STATUS_MaxRI_Status 5
#define BOUNDS_INDEX_CONFIRMATION_STATUS_reserved1 6
#define BOUNDS_INDEX_CONFIRMATION_STATUS_AvgRI_VUT 7
#define BOUNDS_INDEX_CONFIRMATION_STATUS_AvgRI_Status 8
#define BOUNDS_INDEX_CONFIRMATION_STATUS_reserved2 9
#define BOUNDS_INDEX_CONFIRMATION_STATUS_CycleTime_VUT 10
#define BOUNDS_INDEX_CONFIRMATION_STATUS_CycleTime_Status 11
#define VALIDATE_CONFIRMATION_STATUS null
#define INDEX_OFFSET_TABLE_CONFIRMATION_STATUS null
#define BOUNDS_INDEX_CYCLE_INFO_ReferenceNum 0
#define ST_BOUND_CYCLE_INFO_ReferenceNum_HI ST_NUM_RECIPES
#define BOUNDS_INDEX_CYCLE_INFO_reserved0 1
#define BOUNDS_INDEX_CYCLE_INFO_Cycle 2
#define BOUNDS_INDEX_CYCLE_INFO_ReferenceCycle 3
#define BOUNDS_INDEX_CYCLE_INFO_Time 4
#define BOUNDS_INDEX_CYCLE_INFO_JobInfo 5
#define BOUNDS_INDEX_CYCLE_INFO_SlotID 6
#define BOUNDS_INDEX_CYCLE_INFO_Reserved 7
#define BOUNDS_INDEX_CYCLE_INFO_MaxRI 8
#define BOUNDS_INDEX_CYCLE_INFO_ReferenceMaxRI 9
#define BOUNDS_INDEX_CYCLE_INFO_AvgRI 10
#define BOUNDS_INDEX_CYCLE_INFO_ReferenceAvgRI 11
#define BOUNDS_INDEX_CYCLE_INFO_CycleTime 12
#define BOUNDS_INDEX_CYCLE_INFO_ReferenceCycleTime 13
#define BOUNDS_INDEX_CYCLE_INFO_reserved1 14
#define BOUNDS_INDEX_CYCLE_INFO_reserved2 15
#define BOUNDS_INDEX_CYCLE_INFO_reserved3 16
#define BOUNDS_INDEX_CYCLE_INFO_reserved4 17
#define BOUNDS_INDEX_CYCLE_INFO_reserved5 18
#define BOUNDS_INDEX_CYCLE_INFO_reserved6 19
#define BOUNDS_INDEX_CYCLE_INFO_reserved7 20
#define BOUNDS_INDEX_CYCLE_INFO_reserved8 21
#define BOUNDS_INDEX_CYCLE_INFO_reserved9 22
#define BOUNDS_INDEX_CYCLE_INFO_reserved10 23
#define BOUNDS_INDEX_CYCLE_INFO_reserved11 24
#define BOUNDS_INDEX_CYCLE_INFO_reserved12 25
#define BOUNDS_INDEX_CYCLE_INFO_reserved13 26
#define BOUNDS_INDEX_CYCLE_INFO_reserved14 27
#define BOUNDS_INDEX_CYCLE_INFO_reserved15 28
#define BOUNDS_INDEX_CYCLE_INFO_reserved16 29
#define BOUNDS_INDEX_CYCLE_INFO_reserved17 30
#define BOUNDS_INDEX_CYCLE_INFO_reserved18 31
#define BOUNDS_INDEX_CYCLE_INFO_reserved19 32
#define BOUNDS_INDEX_CYCLE_INFO_reserved20 33
#define BOUNDS_INDEX_CYCLE_INFO_reserved21 34
#define BOUNDS_INDEX_CYCLE_INFO_reserved22 35
#define BOUNDS_INDEX_CYCLE_INFO_reserved23 36
#define BOUNDS_INDEX_CYCLE_INFO_reserved24 37
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_CYCLE_INFO[];
extern int validate_CYCLE_INFO(void);
#define VALIDATE_CYCLE_INFO validate_CYCLE_INFO
#define BOUNDS_INDEX_SAVE_REFERENCE_RecipeNum 0
#define ST_BOUND_SAVE_REFERENCE_RecipeNum_LO 1
#define ST_BOUND_SAVE_REFERENCE_RecipeNum_HI ST_NUM_RECIPES
#define BOUNDS_INDEX_SAVE_REFERENCE_DeleteReference 1
#define BOUNDS_INDEX_SAVE_REFERENCE_ReferenceTitle 2
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_SAVE_REFERENCE[];
extern int validate_SAVE_REFERENCE(void);
#define VALIDATE_SAVE_REFERENCE validate_SAVE_REFERENCE
#define BOUNDS_INDEX_JOB_INFO_JobInfo 0
#define BOUNDS_INDEX_JOB_INFO_SlotID 1
#define BOUNDS_INDEX_JOB_INFO_Reserved 2
#define VALIDATE_JOB_INFO null
#define INDEX_OFFSET_TABLE_JOB_INFO null
#define VALIDATE_SENSOR_INITIALIZATION null
#define INDEX_OFFSET_TABLE_SENSOR_INITIALIZATION null
#define VALIDATE_SENSOR_INITIALIZATION_LED_ONLY null
#define INDEX_OFFSET_TABLE_SENSOR_INITIALIZATION_LED_ONLY null
#define BOUNDS_INDEX_SENSOR_INITIALIZATION_STATUS_Status 0
#define BOUNDS_INDEX_SENSOR_INITIALIZATION_STATUS_reserved 1
#define VALIDATE_SENSOR_INITIALIZATION_STATUS null
#define INDEX_OFFSET_TABLE_SENSOR_INITIALIZATION_STATUS null
#define BOUNDS_INDEX_CONVERT_CONCN_TO_RI_Concn_Percent 0
#define ST_BOUND_CONVERT_CONCN_TO_RI_Concn_Percent_LO -10000
#define ST_BOUND_CONVERT_CONCN_TO_RI_Concn_Percent_HI 10000
#define BOUNDS_INDEX_CONVERT_CONCN_TO_RI_RI_nD 1
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_CONVERT_CONCN_TO_RI[];
extern int validate_CONVERT_CONCN_TO_RI(void);
#define VALIDATE_CONVERT_CONCN_TO_RI validate_CONVERT_CONCN_TO_RI
#define BOUNDS_INDEX_CONVERT_RI_TO_CONCN_RI_nD 0
#define ST_BOUND_CONVERT_RI_TO_CONCN_RI_nD_LO 1.2
#define ST_BOUND_CONVERT_RI_TO_CONCN_RI_nD_HI 1.6
#define BOUNDS_INDEX_CONVERT_RI_TO_CONCN_Concn_Percent 1
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_CONVERT_RI_TO_CONCN[];
extern int validate_CONVERT_RI_TO_CONCN(void);
#define VALIDATE_CONVERT_RI_TO_CONCN validate_CONVERT_RI_TO_CONCN
#define BOUNDS_INDEX_PASSWORDS_Enable 0
#define BOUNDS_INDEX_PASSWORDS_Customer 1
#define BOUNDS_INDEX_PASSWORDS_Operator 2
#define BOUNDS_INDEX_PASSWORDS_Engineer 3
#define BOUNDS_INDEX_PASSWORDS_Owner 4
#define BOUNDS_INDEX_PASSWORDS_reserved0 5
#define BOUNDS_INDEX_PASSWORDS_reserved1 6
#define VALIDATE_PASSWORDS null
#define INDEX_OFFSET_TABLE_PASSWORDS null
#define BOUNDS_INDEX_TEST_STATUS_Status 0
#define BOUNDS_INDEX_TEST_STATUS_Complete 1
#define BOUNDS_INDEX_TEST_STATUS_Result 2
#define BOUNDS_INDEX_TEST_STATUS_Test 3
#define BOUNDS_INDEX_TEST_STATUS_Cancelled 4
#define BOUNDS_INDEX_TEST_STATUS_reserved1 5
#define BOUNDS_INDEX_TEST_STATUS_Time 6
#define BOUNDS_INDEX_TEST_STATUS_Cycle 7
#define VALIDATE_TEST_STATUS null
#define INDEX_OFFSET_TABLE_TEST_STATUS null
#define VALIDATE_TEST_CANCEL null
#define INDEX_OFFSET_TABLE_TEST_CANCEL null
#define BOUNDS_INDEX_TEST_SENSOR_REZERO_Target_RI 0
#define ST_BOUND_TEST_SENSOR_REZERO_Target_RI_LO 1.32
#define ST_BOUND_TEST_SENSOR_REZERO_Target_RI_HI 1.4
#define BOUNDS_INDEX_TEST_SENSOR_REZERO_Averaging_ms 1
#define ST_BOUND_TEST_SENSOR_REZERO_Averaging_ms_LO 1000
#define ST_BOUND_TEST_SENSOR_REZERO_Averaging_ms_HI 60000
#define BOUNDS_INDEX_TEST_SENSOR_REZERO_Pre_Calculated_Offset_RI 2
#define BOUNDS_INDEX_TEST_SENSOR_REZERO_Pre_Concn_Percent 3
#define BOUNDS_INDEX_TEST_SENSOR_REZERO_Pre_RefractiveIndex 4
#define BOUNDS_INDEX_TEST_SENSOR_REZERO_Pre_PixelPosition 5
#define BOUNDS_INDEX_TEST_SENSOR_REZERO_Post_Calculated_Offset_RI 6
#define BOUNDS_INDEX_TEST_SENSOR_REZERO_Post_Concn_Percent 7
#define BOUNDS_INDEX_TEST_SENSOR_REZERO_Post_RefractiveIndex 8
#define BOUNDS_INDEX_TEST_SENSOR_REZERO_Post_PixelPosition 9
#define BOUNDS_INDEX_TEST_SENSOR_REZERO_Sensor_stddev_RI 10
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_TEST_SENSOR_REZERO[];
extern int validate_TEST_SENSOR_REZERO(void);
#define VALIDATE_TEST_SENSOR_REZERO validate_TEST_SENSOR_REZERO
#define BOUNDS_INDEX_TEST_ANALOG_OUTPUTS_Duration_ms 0
#define ST_BOUND_TEST_ANALOG_OUTPUTS_Duration_ms_LO 1000
#define ST_BOUND_TEST_ANALOG_OUTPUTS_Duration_ms_HI 3600000
#define BOUNDS_INDEX_TEST_ANALOG_OUTPUTS_ConcnOutput 1
#define ST_BOUND_TEST_ANALOG_OUTPUTS_ConcnOutput_HI 2
#define BOUNDS_INDEX_TEST_ANALOG_OUTPUTS_TempOutput 2
#define ST_BOUND_TEST_ANALOG_OUTPUTS_TempOutput_HI 2
#define BOUNDS_INDEX_TEST_ANALOG_OUTPUTS_RIOutput 3
#define ST_BOUND_TEST_ANALOG_OUTPUTS_RIOutput_HI 2
#define BOUNDS_INDEX_TEST_ANALOG_OUTPUTS_reserved 4
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_TEST_ANALOG_OUTPUTS[];
extern int validate_TEST_ANALOG_OUTPUTS(void);
#define VALIDATE_TEST_ANALOG_OUTPUTS validate_TEST_ANALOG_OUTPUTS
#define BOUNDS_INDEX_TEST_TEMPERATURE_REZERO_Target_Temp 0
#define ST_BOUND_TEST_TEMPERATURE_REZERO_Target_Temp_LO 20
#define ST_BOUND_TEST_TEMPERATURE_REZERO_Target_Temp_HI 40
#define BOUNDS_INDEX_TEST_TEMPERATURE_REZERO_Averaging_ms 1
#define ST_BOUND_TEST_TEMPERATURE_REZERO_Averaging_ms_LO 1000
#define ST_BOUND_TEST_TEMPERATURE_REZERO_Averaging_ms_HI 60000
#define BOUNDS_INDEX_TEST_TEMPERATURE_REZERO_Pre_Calculated_Offset_Temp 2
#define BOUNDS_INDEX_TEST_TEMPERATURE_REZERO_Pre_Temp 3
#define BOUNDS_INDEX_TEST_TEMPERATURE_REZERO_Post_Calculated_Offset_Temp 4
#define BOUNDS_INDEX_TEST_TEMPERATURE_REZERO_Post_Temp 5
#define BOUNDS_INDEX_TEST_TEMPERATURE_REZERO_Sensor_stddev_Temp 6
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_TEST_TEMPERATURE_REZERO[];
extern int validate_TEST_TEMPERATURE_REZERO(void);
#define VALIDATE_TEST_TEMPERATURE_REZERO validate_TEST_TEMPERATURE_REZERO
#define BOUNDS_INDEX_TEST_STEP_RESPONSE_Base_RI 0
#define ST_BOUND_TEST_STEP_RESPONSE_Base_RI_LO 1.2
#define ST_BOUND_TEST_STEP_RESPONSE_Base_RI_HI 1.5
#define BOUNDS_INDEX_TEST_STEP_RESPONSE_Test_RI 1
#define ST_BOUND_TEST_STEP_RESPONSE_Test_RI_LO 1.2
#define ST_BOUND_TEST_STEP_RESPONSE_Test_RI_HI 1.5
#define BOUNDS_INDEX_TEST_STEP_RESPONSE_PreStability 2
#define BOUNDS_INDEX_TEST_STEP_RESPONSE_PreAccuracy_RI 3
#define BOUNDS_INDEX_TEST_STEP_RESPONSE_TestStartTime_cs 4
#define BOUNDS_INDEX_TEST_STEP_RESPONSE_TestDelayTime_cs 5
#define BOUNDS_INDEX_TEST_STEP_RESPONSE_TestActiveTime_cs 6
#define BOUNDS_INDEX_TEST_STEP_RESPONSE_TestRiseTime_cs 7
#define BOUNDS_INDEX_TEST_STEP_RESPONSE_TestResponseTime_cs 8
#define BOUNDS_INDEX_TEST_STEP_RESPONSE_reserved1 9
#define BOUNDS_INDEX_TEST_STEP_RESPONSE_TestStability 10
#define BOUNDS_INDEX_TEST_STEP_RESPONSE_TestAccuracy_RI 11
#define BOUNDS_INDEX_TEST_STEP_RESPONSE_BaseStartTime_cs 12
#define BOUNDS_INDEX_TEST_STEP_RESPONSE_BaseDelayTime_cs 13
#define BOUNDS_INDEX_TEST_STEP_RESPONSE_BaseActiveTime_cs 14
#define BOUNDS_INDEX_TEST_STEP_RESPONSE_BaseRiseTime_cs 15
#define BOUNDS_INDEX_TEST_STEP_RESPONSE_BaseResponseTime_cs 16
#define BOUNDS_INDEX_TEST_STEP_RESPONSE_reserved2 17
#define BOUNDS_INDEX_TEST_STEP_RESPONSE_BaseStability 18
#define BOUNDS_INDEX_TEST_STEP_RESPONSE_BaseAccuracy_RI 19
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_TEST_STEP_RESPONSE[];
extern int validate_TEST_STEP_RESPONSE(void);
#define VALIDATE_TEST_STEP_RESPONSE validate_TEST_STEP_RESPONSE
#define BOUNDS_INDEX_SYSTEMMONITOR_Fluid_Temperature 0
#define BOUNDS_INDEX_SYSTEMMONITOR_RefractiveIndex 1
#define BOUNDS_INDEX_SYSTEMMONITOR_Concentration 2
#define VALIDATE_SYSTEMMONITOR null
#define INDEX_OFFSET_TABLE_SYSTEMMONITOR null
#define BOUNDS_INDEX_SENSORSTATUS_PixelPosition_Raw 0
#define BOUNDS_INDEX_SENSORSTATUS_PixelPosition 1
#define BOUNDS_INDEX_SENSORSTATUS_Uncal_RefractiveIndex 2
#define BOUNDS_INDEX_SENSORSTATUS_sUncal_RefractiveIndex 3
#define BOUNDS_INDEX_SENSORSTATUS_RefractiveIndex 4
#define BOUNDS_INDEX_SENSORSTATUS_RefractiveIndex_Scaled 5
#define BOUNDS_INDEX_SENSORSTATUS_sRI 6
#define BOUNDS_INDEX_SENSORSTATUS_Concentration 7
#define BOUNDS_INDEX_SENSORSTATUS_Concn_Scaled 8
#define BOUNDS_INDEX_SENSORSTATUS_Concn_mValue 9
#define BOUNDS_INDEX_SENSORSTATUS_Window_Voltage_Raw 10
#define BOUNDS_INDEX_SENSORSTATUS_Window_Resistance 11
#define BOUNDS_INDEX_SENSORSTATUS_Window_Resistance_Normalized 12
#define BOUNDS_INDEX_SENSORSTATUS_Window_Averaged_ADC 13
#define BOUNDS_INDEX_SENSORSTATUS_Window_Averaged_V 14
#define BOUNDS_INDEX_SENSORSTATUS_Window_Temperature 15
#define BOUNDS_INDEX_SENSORSTATUS_Window_Temperature_Raw 16
#define BOUNDS_INDEX_SENSORSTATUS_Fluid_Temperature 17
#define BOUNDS_INDEX_SENSORSTATUS_Fluid_Temperature_Scaled 18
#define BOUNDS_INDEX_SENSORSTATUS_Fluid_Temperature_Transient_Reduction 19
#define BOUNDS_INDEX_SENSORSTATUS_sFluid_Temperature 20
#define BOUNDS_INDEX_SENSORSTATUS_ContributingPixelTresholdWarning_flag 21
#define BOUNDS_INDEX_SENSORSTATUS_Potting_Voltage_Raw 22
#define BOUNDS_INDEX_SENSORSTATUS_Potting_Resistance 23
#define BOUNDS_INDEX_SENSORSTATUS_Potting_Resistance_Normalized 24
#define BOUNDS_INDEX_SENSORSTATUS_Potting_Averaged_ADC 25
#define BOUNDS_INDEX_SENSORSTATUS_Potting_Averaged_V 26
#define BOUNDS_INDEX_SENSORSTATUS_Potting_Temperature 27
#define BOUNDS_INDEX_SENSORSTATUS_Potting_Temperature_Raw 28
#define BOUNDS_INDEX_SENSORSTATUS_Potting_Temperature_Scaled 29
#define BOUNDS_INDEX_SENSORSTATUS_sPotting_Temperature 30
#define BOUNDS_INDEX_SENSORSTATUS_ChemistryTitle_isDirty 31
#define BOUNDS_INDEX_SENSORSTATUS_PDA_Voltage_Raw 32
#define BOUNDS_INDEX_SENSORSTATUS_PCB_Voltage_Raw 33
#define BOUNDS_INDEX_SENSORSTATUS_PCB_Resistance 34
#define BOUNDS_INDEX_SENSORSTATUS_PCB_Resistance_Normalized 35
#define BOUNDS_INDEX_SENSORSTATUS_PCB_Averaged_ADC 36
#define BOUNDS_INDEX_SENSORSTATUS_PCB_Averaged_V 37
#define BOUNDS_INDEX_SENSORSTATUS_PCB_Temperature 38
#define BOUNDS_INDEX_SENSORSTATUS_PCB_Temperature_Raw 39
#define BOUNDS_INDEX_SENSORSTATUS_PCB_Temperature_Scaled 40
#define BOUNDS_INDEX_SENSORSTATUS_sPCB_Temperature 41
#define BOUNDS_INDEX_SENSORSTATUS_LED_cIntensity 42
#define BOUNDS_INDEX_SENSORSTATUS_LED_Intensity 43
#define BOUNDS_INDEX_SENSORSTATUS_Sensortask_ticks 44
#define BOUNDS_INDEX_SENSORSTATUS_Temptask_ticks 45
#define BOUNDS_INDEX_SENSORSTATUS_SensorWarning_flag 46
#define BOUNDS_INDEX_SENSORSTATUS_SensorDisconnectedError_flag 47
#define BOUNDS_INDEX_SENSORSTATUS_EEPROMError_flag 48
#define BOUNDS_INDEX_SENSORSTATUS_ADCNotRespondingError_flag 49
#define BOUNDS_INDEX_SENSORSTATUS_AirReferenceError_flag 50
#define BOUNDS_INDEX_SENSORSTATUS_PP2RICalTableError_flag 51
#define BOUNDS_INDEX_SENSORSTATUS_WindowTemperatureError_flag 52
#define BOUNDS_INDEX_SENSORSTATUS_PCBTemperatureError_flag 53
#define BOUNDS_INDEX_SENSORSTATUS_PottingTemperatureError_flag 54
#define BOUNDS_INDEX_SENSORSTATUS_DarkReadingWarning_flag 55
#define BOUNDS_INDEX_SENSORSTATUS_NotEnoughContributingPixelsWarning_flag 56
#define BOUNDS_INDEX_SENSORSTATUS_FluidTemperatureWarning_flag 57
#define BOUNDS_INDEX_SENSORSTATUS_DivideByZeroPixelsWarning_flag 58
#define BOUNDS_INDEX_SENSORSTATUS_LightReadingWarning_flag 59
#define BOUNDS_INDEX_SENSORSTATUS_ADCReady_flag 60
#define BOUNDS_INDEX_SENSORSTATUS_Temperature20CWarning_flag 61
#define BOUNDS_INDEX_SENSORSTATUS_Temperature40CWarning_flag 62
#define BOUNDS_INDEX_SENSORSTATUS_EEPROMReady_flag 63
#define BOUNDS_INDEX_SENSORSTATUS_AirReferenceReciprocalReady_flag 64
#define VALIDATE_SENSORSTATUS null
#define INDEX_OFFSET_TABLE_SENSORSTATUS null
#define BOUNDS_INDEX_SENSOR_CALIBRATION_PP2RI_CalTable_Points_LED1 0
#define BOUNDS_INDEX_SENSOR_CALIBRATION_PP_cubic_term_LED1 1
#define BOUNDS_INDEX_SENSOR_CALIBRATION_PP_quadratic_term_LED1 2
#define BOUNDS_INDEX_SENSOR_CALIBRATION_PP_linear_term_LED1 3
#define BOUNDS_INDEX_SENSOR_CALIBRATION_PP_constant_term_LED1 4
#define BOUNDS_INDEX_SENSOR_CALIBRATION_Window_Balance_Resistance 5
#define BOUNDS_INDEX_SENSOR_CALIBRATION_Window_Resistance_25degC 6
#define BOUNDS_INDEX_SENSOR_CALIBRATION_V_cubic_term_window 7
#define BOUNDS_INDEX_SENSOR_CALIBRATION_V_quadratic_term_window 8
#define BOUNDS_INDEX_SENSOR_CALIBRATION_V_linear_term_window 9
#define BOUNDS_INDEX_SENSOR_CALIBRATION_V_constant_term_window 10
#define BOUNDS_INDEX_SENSOR_CALIBRATION_Potting_Balance_Resistance 11
#define BOUNDS_INDEX_SENSOR_CALIBRATION_Potting_Resistance_25degC 12
#define BOUNDS_INDEX_SENSOR_CALIBRATION_V_cubic_term_potting 13
#define BOUNDS_INDEX_SENSOR_CALIBRATION_V_quadratic_term_potting 14
#define BOUNDS_INDEX_SENSOR_CALIBRATION_V_linear_term_potting 15
#define BOUNDS_INDEX_SENSOR_CALIBRATION_V_constant_term_potting 16
#define BOUNDS_INDEX_SENSOR_CALIBRATION_PCB_Balance_Resistance 17
#define BOUNDS_INDEX_SENSOR_CALIBRATION_PCB_Resistance_25degC 18
#define BOUNDS_INDEX_SENSOR_CALIBRATION_V_cubic_term_pcb 19
#define BOUNDS_INDEX_SENSOR_CALIBRATION_V_quadratic_term_pcb 20
#define BOUNDS_INDEX_SENSOR_CALIBRATION_V_linear_term_pcb 21
#define BOUNDS_INDEX_SENSOR_CALIBRATION_V_constant_term_pcb 22
#define BOUNDS_INDEX_SENSOR_CALIBRATION_Fluid_Potting_Temp_Constant 23
#define ST_BOUND_SENSOR_CALIBRATION_Fluid_Potting_Temp_Constant_LO -10
#define ST_BOUND_SENSOR_CALIBRATION_Fluid_Potting_Temp_Constant_HI 10
#define BOUNDS_INDEX_SENSOR_CALIBRATION_RI_Calculated_Offset 24
#define BOUNDS_INDEX_SENSOR_CALIBRATION_Temp_Calculated_Offset 25
#define BOUNDS_INDEX_SENSOR_CALIBRATION_LowerPPThreshold 26
#define ST_BOUND_SENSOR_CALIBRATION_LowerPPThreshold_LO 3
#define ST_BOUND_SENSOR_CALIBRATION_LowerPPThreshold_HI 125
#define BOUNDS_INDEX_SENSOR_CALIBRATION_UpperPPThreshold 27
#define ST_BOUND_SENSOR_CALIBRATION_UpperPPThreshold_LO 3
#define ST_BOUND_SENSOR_CALIBRATION_UpperPPThreshold_HI 125
#define BOUNDS_INDEX_SENSOR_CALIBRATION_reserved1 28
#define BOUNDS_INDEX_SENSOR_CALIBRATION_reserved2 29
#define BOUNDS_INDEX_SENSOR_CALIBRATION_reserved3 30
#define BOUNDS_INDEX_SENSOR_CALIBRATION_reserved4 31
#define BOUNDS_INDEX_SENSOR_CALIBRATION_reserved5 32
#define BOUNDS_INDEX_SENSOR_CALIBRATION_reserved6 33
#define BOUNDS_INDEX_SENSOR_CALIBRATION_reserved7 34
#define BOUNDS_INDEX_SENSOR_CALIBRATION_reserved8 35
#define BOUNDS_INDEX_SENSOR_CALIBRATION_reserved9 36
#define BOUNDS_INDEX_SENSOR_CALIBRATION_reserved10 37
#define BOUNDS_INDEX_SENSOR_CALIBRATION_reserved11 38
#define BOUNDS_INDEX_SENSOR_CALIBRATION_reserved12 39
#define BOUNDS_INDEX_SENSOR_CALIBRATION_reserved13 40
#define BOUNDS_INDEX_SENSOR_CALIBRATION_reserved14 41
#define BOUNDS_INDEX_SENSOR_CALIBRATION_Time 42
#define BOUNDS_INDEX_SENSOR_CALIBRATION_Cycle 43
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_SENSOR_CALIBRATION[];
extern int validate_SENSOR_CALIBRATION(void);
#define VALIDATE_SENSOR_CALIBRATION validate_SENSOR_CALIBRATION
#define BOUNDS_INDEX_CONCN_CALIBRATION_Concn_Percent 0
#define BOUNDS_INDEX_CONCN_CALIBRATION_RI_nD 1
#define BOUNDS_INDEX_CONCN_CALIBRATION_Algorithm 2
#define ST_BOUND_CONCN_CALIBRATION_Algorithm_HI 4
#define BOUNDS_INDEX_CONCN_CALIBRATION_reserved1 3
#define BOUNDS_INDEX_CONCN_CALIBRATION_User_Intercept 4
#define BOUNDS_INDEX_CONCN_CALIBRATION_User_FirstOrder 5
#define BOUNDS_INDEX_CONCN_CALIBRATION_User_SecondOrder 6
#define BOUNDS_INDEX_CONCN_CALIBRATION_User_ThirdOrder 7
#define BOUNDS_INDEX_CONCN_CALIBRATION_ConcnRI_Intercept 8
#define BOUNDS_INDEX_CONCN_CALIBRATION_ConcnRI_FirstOrder 9
#define BOUNDS_INDEX_CONCN_CALIBRATION_ConcnRI_SecondOrder 10
#define BOUNDS_INDEX_CONCN_CALIBRATION_ConcnRI_ThirdOrder 11
#define BOUNDS_INDEX_CONCN_CALIBRATION_Time 12
#define BOUNDS_INDEX_CONCN_CALIBRATION_Cycle 13
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_CONCN_CALIBRATION[];
extern int validate_CONCN_CALIBRATION(void);
#define VALIDATE_CONCN_CALIBRATION validate_CONCN_CALIBRATION
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent0 0
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent1 1
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent2 2
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent3 3
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent4 4
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent5 5
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent6 6
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent7 7
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent8 8
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent9 9
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent10 10
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent11 11
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent12 12
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent13 13
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent14 14
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent15 15
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent16 16
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent17 17
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent18 18
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent19 19
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent20 20
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent21 21
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent22 22
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent23 23
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent24 24
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent25 25
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent26 26
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent27 27
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent28 28
#define BOUNDS_INDEX_CALIBRATION_TABLE_Concn_Percent29 29
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD0 30
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD1 31
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD2 32
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD3 33
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD4 34
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD5 35
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD6 36
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD7 37
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD8 38
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD9 39
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD10 40
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD11 41
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD12 42
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD13 43
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD14 44
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD15 45
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD16 46
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD17 47
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD18 48
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD19 49
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD20 50
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD21 51
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD22 52
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD23 53
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD24 54
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD25 55
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD26 56
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD27 57
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD28 58
#define BOUNDS_INDEX_CALIBRATION_TABLE_RI_nD29 59
#define VALIDATE_CALIBRATION_TABLE null
#define INDEX_OFFSET_TABLE_CALIBRATION_TABLE null
#define BOUNDS_INDEX_RITEMPCOMP_CALIBRATION_ChemistryNum 0
#define ST_BOUND_RITEMPCOMP_CALIBRATION_ChemistryNum_HI ST_NUM_CHEMISTRIES
#define BOUNDS_INDEX_RITEMPCOMP_CALIBRATION_Algorithm 1
#define ST_BOUND_RITEMPCOMP_CALIBRATION_Algorithm_HI 1
#define BOUNDS_INDEX_RITEMPCOMP_CALIBRATION_ChemistryTitle 2
#define BOUNDS_INDEX_RITEMPCOMP_CALIBRATION_RI_TCC_1st_C1 3
#define ST_BOUND_RITEMPCOMP_CALIBRATION_RI_TCC_1st_C1_LO -100
#define ST_BOUND_RITEMPCOMP_CALIBRATION_RI_TCC_1st_C1_HI 100
#define BOUNDS_INDEX_RITEMPCOMP_CALIBRATION_RI_TCC_2nd_C1 4
#define ST_BOUND_RITEMPCOMP_CALIBRATION_RI_TCC_2nd_C1_LO -100
#define ST_BOUND_RITEMPCOMP_CALIBRATION_RI_TCC_2nd_C1_HI 100
#define BOUNDS_INDEX_RITEMPCOMP_CALIBRATION_RI_TCC_2nd_C2 5
#define ST_BOUND_RITEMPCOMP_CALIBRATION_RI_TCC_2nd_C2_LO -100
#define ST_BOUND_RITEMPCOMP_CALIBRATION_RI_TCC_2nd_C2_HI 100
#define BOUNDS_INDEX_RITEMPCOMP_CALIBRATION_Time 6
#define BOUNDS_INDEX_RITEMPCOMP_CALIBRATION_Cycle 7
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_RITEMPCOMP_CALIBRATION[];
extern int validate_RITEMPCOMP_CALIBRATION(void);
#define VALIDATE_RITEMPCOMP_CALIBRATION validate_RITEMPCOMP_CALIBRATION
#define BOUNDS_INDEX_CHEMISTRYNAMES_ChemistryTitleOne 0
#define BOUNDS_INDEX_CHEMISTRYNAMES_ChemistryTitleTwo 1
#define BOUNDS_INDEX_CHEMISTRYNAMES_ChemistryTitleThree 2
#define BOUNDS_INDEX_CHEMISTRYNAMES_ChemistryTitleFour 3
#define BOUNDS_INDEX_CHEMISTRYNAMES_ChemistryTitleFive 4
#define BOUNDS_INDEX_CHEMISTRYNAMES_ChemistryTitleSix 5
#define BOUNDS_INDEX_CHEMISTRYNAMES_ChemistryTitleSeven 6
#define BOUNDS_INDEX_CHEMISTRYNAMES_ChemistryTitleEight 7
#define BOUNDS_INDEX_CHEMISTRYNAMES_ChemistryTitleNine 8
#define BOUNDS_INDEX_CHEMISTRYNAMES_ChemistryTitleTen 9
#define BOUNDS_INDEX_CHEMISTRYNAMES_ChemistryTitleEleven 10
#define BOUNDS_INDEX_CHEMISTRYNAMES_ChemistryTitleTwelve 11
#define VALIDATE_CHEMISTRYNAMES null
#define INDEX_OFFSET_TABLE_CHEMISTRYNAMES null
#define VALIDATE_CLEAR_CONCN_CALIBRATION null
#define INDEX_OFFSET_TABLE_CLEAR_CONCN_CALIBRATION null
#define VALIDATE_CANCEL_PROFILE null
#define INDEX_OFFSET_TABLE_CANCEL_PROFILE null
#define VALIDATE_CLEAR_REZERO null
#define INDEX_OFFSET_TABLE_CLEAR_REZERO null
#define VALIDATE_CLEAR_OVERRIDE null
#define INDEX_OFFSET_TABLE_CLEAR_OVERRIDE null
#define VALIDATE_CLEAR_TEMPERATURE_REZERO null
#define INDEX_OFFSET_TABLE_CLEAR_TEMPERATURE_REZERO null
#define BOUNDS_INDEX_ANALOG_INPUT_CAL_MIN_Input1 0
#define ST_BOUND_ANALOG_INPUT_CAL_MIN_Input1_HI 16383
#define BOUNDS_INDEX_ANALOG_INPUT_CAL_MIN_Input2 1
#define ST_BOUND_ANALOG_INPUT_CAL_MIN_Input2_HI 16383
#define BOUNDS_INDEX_ANALOG_INPUT_CAL_MIN_Input3 2
#define ST_BOUND_ANALOG_INPUT_CAL_MIN_Input3_HI 16383
#define BOUNDS_INDEX_ANALOG_INPUT_CAL_MIN_Input4 3
#define ST_BOUND_ANALOG_INPUT_CAL_MIN_Input4_HI 16383
#define BOUNDS_INDEX_ANALOG_INPUT_CAL_MIN_Input5 4
#define ST_BOUND_ANALOG_INPUT_CAL_MIN_Input5_HI 16383
#define BOUNDS_INDEX_ANALOG_INPUT_CAL_MIN_Input6 5
#define ST_BOUND_ANALOG_INPUT_CAL_MIN_Input6_HI 16383
#define BOUNDS_INDEX_ANALOG_INPUT_CAL_MIN_Ain_Cal_Min_rx 6
#define BOUNDS_INDEX_ANALOG_INPUT_CAL_MIN_ForceInit_Ain_Cal_Min 7
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_ANALOG_INPUT_CAL_MIN[];
extern int validate_ANALOG_INPUT_CAL_MIN(void);
#define VALIDATE_ANALOG_INPUT_CAL_MIN validate_ANALOG_INPUT_CAL_MIN
#define BOUNDS_INDEX_ANALOG_INPUT_CAL_MAX_Input1 0
#define ST_BOUND_ANALOG_INPUT_CAL_MAX_Input1_HI 16383
#define BOUNDS_INDEX_ANALOG_INPUT_CAL_MAX_Input2 1
#define ST_BOUND_ANALOG_INPUT_CAL_MAX_Input2_HI 16383
#define BOUNDS_INDEX_ANALOG_INPUT_CAL_MAX_Input3 2
#define ST_BOUND_ANALOG_INPUT_CAL_MAX_Input3_HI 16383
#define BOUNDS_INDEX_ANALOG_INPUT_CAL_MAX_Input4 3
#define ST_BOUND_ANALOG_INPUT_CAL_MAX_Input4_HI 16383
#define BOUNDS_INDEX_ANALOG_INPUT_CAL_MAX_Input5 4
#define ST_BOUND_ANALOG_INPUT_CAL_MAX_Input5_HI 16383
#define BOUNDS_INDEX_ANALOG_INPUT_CAL_MAX_Input6 5
#define ST_BOUND_ANALOG_INPUT_CAL_MAX_Input6_HI 16383
#define BOUNDS_INDEX_ANALOG_INPUT_CAL_MAX_Ain_Cal_Max_rx 6
#define BOUNDS_INDEX_ANALOG_INPUT_CAL_MAX_ForceInit_Ain_Cal_Max 7
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_ANALOG_INPUT_CAL_MAX[];
extern int validate_ANALOG_INPUT_CAL_MAX(void);
#define VALIDATE_ANALOG_INPUT_CAL_MAX validate_ANALOG_INPUT_CAL_MAX
#define BOUNDS_INDEX_ANALOG_OUTPUT_CAL_MIN_Output1 0
#define ST_BOUND_ANALOG_OUTPUT_CAL_MIN_Output1_HI 16383
#define BOUNDS_INDEX_ANALOG_OUTPUT_CAL_MIN_Output2 1
#define ST_BOUND_ANALOG_OUTPUT_CAL_MIN_Output2_HI 16383
#define BOUNDS_INDEX_ANALOG_OUTPUT_CAL_MIN_Output3 2
#define ST_BOUND_ANALOG_OUTPUT_CAL_MIN_Output3_HI 16383
#define BOUNDS_INDEX_ANALOG_OUTPUT_CAL_MIN_Output4 3
#define ST_BOUND_ANALOG_OUTPUT_CAL_MIN_Output4_HI 16383
#define BOUNDS_INDEX_ANALOG_OUTPUT_CAL_MIN_Output5 4
#define ST_BOUND_ANALOG_OUTPUT_CAL_MIN_Output5_HI 16383
#define BOUNDS_INDEX_ANALOG_OUTPUT_CAL_MIN_Output6 5
#define ST_BOUND_ANALOG_OUTPUT_CAL_MIN_Output6_HI 16383
#define BOUNDS_INDEX_ANALOG_OUTPUT_CAL_MIN_Aout_Cal_Min_rx 6
#define BOUNDS_INDEX_ANALOG_OUTPUT_CAL_MIN_ForceInit_Aout_Cal_Min 7
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_ANALOG_OUTPUT_CAL_MIN[];
extern int validate_ANALOG_OUTPUT_CAL_MIN(void);
#define VALIDATE_ANALOG_OUTPUT_CAL_MIN validate_ANALOG_OUTPUT_CAL_MIN
#define BOUNDS_INDEX_ANALOG_OUTPUT_CAL_MAX_Output1 0
#define ST_BOUND_ANALOG_OUTPUT_CAL_MAX_Output1_HI 16383
#define BOUNDS_INDEX_ANALOG_OUTPUT_CAL_MAX_Output2 1
#define ST_BOUND_ANALOG_OUTPUT_CAL_MAX_Output2_HI 16383
#define BOUNDS_INDEX_ANALOG_OUTPUT_CAL_MAX_Output3 2
#define ST_BOUND_ANALOG_OUTPUT_CAL_MAX_Output3_HI 16383
#define BOUNDS_INDEX_ANALOG_OUTPUT_CAL_MAX_Output4 3
#define ST_BOUND_ANALOG_OUTPUT_CAL_MAX_Output4_HI 16383
#define BOUNDS_INDEX_ANALOG_OUTPUT_CAL_MAX_Output5 4
#define ST_BOUND_ANALOG_OUTPUT_CAL_MAX_Output5_HI 16383
#define BOUNDS_INDEX_ANALOG_OUTPUT_CAL_MAX_Output6 5
#define ST_BOUND_ANALOG_OUTPUT_CAL_MAX_Output6_HI 16383
#define BOUNDS_INDEX_ANALOG_OUTPUT_CAL_MAX_Aout_Cal_Max_rx 6
#define BOUNDS_INDEX_ANALOG_OUTPUT_CAL_MAX_ForceInit_Aout_Cal_Max 7
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_ANALOG_OUTPUT_CAL_MAX[];
extern int validate_ANALOG_OUTPUT_CAL_MAX(void);
#define VALIDATE_ANALOG_OUTPUT_CAL_MAX validate_ANALOG_OUTPUT_CAL_MAX
#define VALIDATE_RESTORE_FACTORY_CONFIGURATION null
#define INDEX_OFFSET_TABLE_RESTORE_FACTORY_CONFIGURATION null
#define VALIDATE_SAVE_FACTORY_CONFIGURATION null
#define INDEX_OFFSET_TABLE_SAVE_FACTORY_CONFIGURATION null
#define BOUNDS_INDEX_ESENSORSTATUS_State 0
#define BOUNDS_INDEX_ESENSORSTATUS_LED_Intensity 1
#define BOUNDS_INDEX_ESENSORSTATUS_LED_cIntensity 2
#define BOUNDS_INDEX_ESENSORSTATUS_CurveAdjust 3
#define BOUNDS_INDEX_ESENSORSTATUS_LightResolution 4
#define BOUNDS_INDEX_ESENSORSTATUS_DarkResolution 5
#define BOUNDS_INDEX_ESENSORSTATUS_AirResolution 6
#define BOUNDS_INDEX_ESENSORSTATUS_reserved1 7
#define BOUNDS_INDEX_ESENSORSTATUS_reserved2 8
#define VALIDATE_ESENSORSTATUS null
#define INDEX_OFFSET_TABLE_ESENSORSTATUS null
#define BOUNDS_INDEX_ESENSOR_STATE_State 0
#define ST_BOUND_ESENSOR_STATE_State_HI 50
#define BOUNDS_INDEX_ESENSOR_STATE_SubState 1
#define ST_BOUND_ESENSOR_STATE_SubState_HI 50
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_ESENSOR_STATE[];
extern int validate_ESENSOR_STATE(void);
#define VALIDATE_ESENSOR_STATE validate_ESENSOR_STATE
#define BOUNDS_INDEX_CURVE_PIXELS_ADC_CurveNum 0
#define ST_BOUND_CURVE_PIXELS_ADC_CurveNum_HI 2
#define BOUNDS_INDEX_CURVE_PIXELS_ADC_reserved1 1
#define BOUNDS_INDEX_CURVE_PIXELS_ADC_Intensity 2
#define ST_BOUND_CURVE_PIXELS_ADC_Intensity_HI 4095
#define BOUNDS_INDEX_CURVE_PIXELS_ADC_Intensity_Resolution 3
#define ST_BOUND_CURVE_PIXELS_ADC_Intensity_Resolution_HI 1000
#define BOUNDS_INDEX_CURVE_PIXELS_ADC_RI_Pixel_Resolution 4
#define ST_BOUND_CURVE_PIXELS_ADC_RI_Pixel_Resolution_HI 25
#define BOUNDS_INDEX_CURVE_PIXELS_ADC_Data 5
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_CURVE_PIXELS_ADC[];
extern int validate_CURVE_PIXELS_ADC(void);
#define VALIDATE_CURVE_PIXELS_ADC validate_CURVE_PIXELS_ADC
#define BOUNDS_INDEX_CURVE_PIXELS_CurveNum 0
#define ST_BOUND_CURVE_PIXELS_CurveNum_HI 2
#define BOUNDS_INDEX_CURVE_PIXELS_reserved1 1
#define BOUNDS_INDEX_CURVE_PIXELS_Intensity 2
#define ST_BOUND_CURVE_PIXELS_Intensity_LO 0
#define ST_BOUND_CURVE_PIXELS_Intensity_HI 100
#define BOUNDS_INDEX_CURVE_PIXELS_Intensity_Resolution 3
#define ST_BOUND_CURVE_PIXELS_Intensity_Resolution_LO 0
#define ST_BOUND_CURVE_PIXELS_Intensity_Resolution_HI 10
#define BOUNDS_INDEX_CURVE_PIXELS_RI_Resolution 4
#define ST_BOUND_CURVE_PIXELS_RI_Resolution_HI 25
#define BOUNDS_INDEX_CURVE_PIXELS_reserved2 5
#define BOUNDS_INDEX_CURVE_PIXELS_Data 6
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_CURVE_PIXELS[];
extern int validate_CURVE_PIXELS(void);
#define VALIDATE_CURVE_PIXELS validate_CURVE_PIXELS
#define BOUNDS_INDEX_CURVES_SRINIT_ADC_CurveNum 0
#define ST_BOUND_CURVES_SRINIT_ADC_CurveNum_HI 2
#define BOUNDS_INDEX_CURVES_SRINIT_ADC_CurveIndex 1
#define ST_BOUND_CURVES_SRINIT_ADC_CurveIndex_HI 10
#define BOUNDS_INDEX_CURVES_SRINIT_ADC_Intensity 2
#define ST_BOUND_CURVES_SRINIT_ADC_Intensity_HI 4095
#define BOUNDS_INDEX_CURVES_SRINIT_ADC_Intensity_Resolution 3
#define ST_BOUND_CURVES_SRINIT_ADC_Intensity_Resolution_HI 1000
#define BOUNDS_INDEX_CURVES_SRINIT_ADC_RI_Pixel_Resolution 4
#define ST_BOUND_CURVES_SRINIT_ADC_RI_Pixel_Resolution_HI 25
#define BOUNDS_INDEX_CURVES_SRINIT_ADC_Data 5
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_CURVES_SRINIT_ADC[];
extern int validate_CURVES_SRINIT_ADC(void);
#define VALIDATE_CURVES_SRINIT_ADC validate_CURVES_SRINIT_ADC
#define BOUNDS_INDEX_CURVES_SRINIT_CurveNum 0
#define ST_BOUND_CURVES_SRINIT_CurveNum_HI 2
#define BOUNDS_INDEX_CURVES_SRINIT_CurveIndex 1
#define ST_BOUND_CURVES_SRINIT_CurveIndex_HI 10
#define BOUNDS_INDEX_CURVES_SRINIT_Intensity 2
#define ST_BOUND_CURVES_SRINIT_Intensity_LO 0
#define ST_BOUND_CURVES_SRINIT_Intensity_HI 100
#define BOUNDS_INDEX_CURVES_SRINIT_Intensity_Resolution 3
#define ST_BOUND_CURVES_SRINIT_Intensity_Resolution_LO 0
#define ST_BOUND_CURVES_SRINIT_Intensity_Resolution_HI 1
#define BOUNDS_INDEX_CURVES_SRINIT_RI_Resolution 4
#define ST_BOUND_CURVES_SRINIT_RI_Resolution_HI 25
#define BOUNDS_INDEX_CURVES_SRINIT_reserved1 5
#define BOUNDS_INDEX_CURVES_SRINIT_Data 6
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_CURVES_SRINIT[];
extern int validate_CURVES_SRINIT(void);
#define VALIDATE_CURVES_SRINIT validate_CURVES_SRINIT
#define VALIDATE_SAVE_ESENSOR_DEFAULTS null
#define INDEX_OFFSET_TABLE_SAVE_ESENSOR_DEFAULTS null
#define VALIDATE_RESTORE_ESENSOR_DEFAULTS null
#define INDEX_OFFSET_TABLE_RESTORE_ESENSOR_DEFAULTS null
#define BOUNDS_INDEX_ADJUST_LIGHT_INTENSITY_IntensityAdjust 0
#define ST_BOUND_ADJUST_LIGHT_INTENSITY_IntensityAdjust_LO -100
#define ST_BOUND_ADJUST_LIGHT_INTENSITY_IntensityAdjust_HI 100
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_ADJUST_LIGHT_INTENSITY[];
extern int validate_ADJUST_LIGHT_INTENSITY(void);
#define VALIDATE_ADJUST_LIGHT_INTENSITY validate_ADJUST_LIGHT_INTENSITY
#define BOUNDS_INDEX_ADJUST_CURVE_RI_CurveAdjust 0
#define ST_BOUND_ADJUST_CURVE_RI_CurveAdjust_LO -50
#define ST_BOUND_ADJUST_CURVE_RI_CurveAdjust_HI 50
#define BOUNDS_INDEX_ADJUST_CURVE_RI_reserved1 1
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_ADJUST_CURVE_RI[];
extern int validate_ADJUST_CURVE_RI(void);
#define VALIDATE_ADJUST_CURVE_RI validate_ADJUST_CURVE_RI
#define BOUNDS_INDEX_TEMPERATURE_ADC_Window 0
#define ST_BOUND_TEMPERATURE_ADC_Window_HI 0xffff
#define BOUNDS_INDEX_TEMPERATURE_ADC_Potting 1
#define ST_BOUND_TEMPERATURE_ADC_Potting_HI 0xffff
#define BOUNDS_INDEX_TEMPERATURE_ADC_PCB 2
#define ST_BOUND_TEMPERATURE_ADC_PCB_HI 0xffff
#define BOUNDS_INDEX_TEMPERATURE_ADC_Resolution 3
#define ST_BOUND_TEMPERATURE_ADC_Resolution_HI 2048
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_TEMPERATURE_ADC[];
extern int validate_TEMPERATURE_ADC(void);
#define VALIDATE_TEMPERATURE_ADC validate_TEMPERATURE_ADC
#define BOUNDS_INDEX_TEMPERATURE_C_Window 0
#define ST_BOUND_TEMPERATURE_C_Window_LO -20
#define ST_BOUND_TEMPERATURE_C_Window_HI 100
#define BOUNDS_INDEX_TEMPERATURE_C_Potting 1
#define ST_BOUND_TEMPERATURE_C_Potting_LO -20
#define ST_BOUND_TEMPERATURE_C_Potting_HI 100
#define BOUNDS_INDEX_TEMPERATURE_C_PCB 2
#define ST_BOUND_TEMPERATURE_C_PCB_LO -20
#define ST_BOUND_TEMPERATURE_C_PCB_HI 100
#define BOUNDS_INDEX_TEMPERATURE_C_Resolution 3
#define ST_BOUND_TEMPERATURE_C_Resolution_LO 0
#define ST_BOUND_TEMPERATURE_C_Resolution_HI 10
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_TEMPERATURE_C[];
extern int validate_TEMPERATURE_C(void);
#define VALIDATE_TEMPERATURE_C validate_TEMPERATURE_C
#define BOUNDS_INDEX_SET_SENSOR_CONNECTED_Connected 0
#define ST_BOUND_SET_SENSOR_CONNECTED_Connected_HI 1
#define BOUNDS_INDEX_SET_SENSOR_CONNECTED_reserved1 1
extern const INDEX_OFFSET_TABLE INDEX_OFFSET_TABLE_SET_SENSOR_CONNECTED[];
extern int validate_SET_SENSOR_CONNECTED(void);
#define VALIDATE_SET_SENSOR_CONNECTED validate_SET_SENSOR_CONNECTED
#define VALIDATE_ACTIVATE_CURVES null
#define INDEX_OFFSET_TABLE_ACTIVATE_CURVES null
#define VALIDATE_STOP_ESENSOR null
#define INDEX_OFFSET_TABLE_STOP_ESENSOR null
#define ST_MAX_VISCOSITY_CP Personality->MAX_VISCOSITY_CP
#define ST_reserved0 Personality->reserved0
#define ST_VERSION_MODEL Personality->VERSION_MODEL
#define ST_P_MIN Personality->P_MIN
#define ST_P_MAX Personality->P_MAX
#define ST_PRODUCT_CODE Personality->PRODUCT_CODE
#define ST_reserved1 Personality->reserved1
#define ST_ONBOARD_CLOCK Personality->ONBOARD_CLOCK
#define ST_PROFILE_SAMPLE_RATE_mS Personality->PROFILE_SAMPLE_RATE_mS
#define ST_RT_GRAPH_SAMPLERATE_mS Personality->RT_GRAPH_SAMPLERATE_mS
#define ST_RT_GRAPH_LENGTH_SEC Personality->RT_GRAPH_LENGTH_SEC
#define VALIDATE_PERSONALITY null


#define ST_LOG_RECORD_Header 0
typedef struct ST_LOG_HeaderStruct {
  unsigned short Size;		// "Defines the size of the record"
  unsigned short RecordType;		// "Defines the record type"
  unsigned long CycleNum;		// "Pump cycle number"
  unsigned long TimeStamp;		// "date and time stamp"
  unsigned long RecordNumber;		// "Record Number"
} ST_LOG_Header;
#define SIZE_ST_LOG_Header (sizeof(ST_LOG_Header))

#define ST_LOG_RECORD_ALARM 1
typedef struct ST_LOG_ALARMStruct {
  unsigned long AlarmNumber;		// "Alarm Number"
  unsigned short Code;		// "Alarm Code"
  unsigned short AlarmSeverity;		// "Info, warning, error, critical error"
  unsigned long Data;		// "Alarm specific data"
} ST_LOG_ALARM;
#define SIZE_ST_LOG_ALARM (sizeof(ST_LOG_ALARM))

#define ST_LOG_RECORD_POWER_UP_INFO 2
typedef struct ST_LOG_POWER_UP_INFOStruct {
  unsigned short PowerCycles;		// "Number of power ups since ever"
  short int HomeCurrent;		// "Peak homing current of the dispense motor"
} ST_LOG_POWER_UP_INFO;
#define SIZE_ST_LOG_POWER_UP_INFO (sizeof(ST_LOG_POWER_UP_INFO))

#define ST_LOG_RECORD_WRITE_NOTE 3
#define SIZE_ST_LOG_WRITE_NOTE SIZE_WRITE_NOTE

#define ST_LOG_RECORD_SYSTEM_PARAMETERS 9
#define SIZE_ST_LOG_SYSTEM_PARAMETERS SIZE_SYSTEM_PARAMETERS

#define ST_LOG_RECORD_CYCLE_INFO 11
#define SIZE_ST_LOG_CYCLE_INFO SIZE_CYCLE_INFO

#define ST_LOG_RECORD_DIAG 31
#define SIZE_ST_LOG_DIAG SIZE_DIAG



extern RTSTATUS RtStatus;
extern CYCLE_INFO CycleInfo[TOTAL_NUM_RECIPES];
extern TEST_STEP_RESPONSE StepResponseTest;
extern CALIBRATION_TABLE CalibrationTable;
extern DIAG Diag;
extern SYSTEMMONITOR SystemMonitor;
extern ESENSORSTATUS eSensorStatus;
extern ST_LOG_POWER_UP_INFO LogRecord_PowerUpInfo;
extern WRITE_NOTE Note;
extern VERSION Version;
extern VOLTAGESTATUS VoltageStatus;
extern ESENSOR_STATE eSensorState;
extern RITEMPCOMP_CALIBRATION RITempCompCalibration[TOTAL_NUM_CHEMISTRIES];
extern CYCLECOUNTERS CycleCounters;
extern SYSTEMNAMES SystemNames;
extern PASSWORDS Passwords;
extern READ_CURVE_303 SensorRead_303;
extern CHEMISTRYNAMES ChemistryNames;
extern SERIALNUMBERS SerialNumbers;
extern SENSORSTATUS SensorStatus;
extern TIME TimeNow;
extern ST_LOG_ALARM LogRecord_Alarm;
extern ENGINEERING_PARAMETERS EngineeringParameters;
extern CURVE_PIXELS_ADC CurvePixelsADC;
extern SENSOR_SERIALNUMBER SensorSerialNumber;
extern CONVERT_RI_TO_CONCN ConvertRItoConcn;
extern ANALOG_OUTPUT_CAL_MIN AnalogOutputCalMin;
extern SYSTEMSTATUS SystemStatus;
extern ADJUST_CURVE_RI AdjustCurveRI;
extern TEMPERATURE_ADC TemperatureADC;
extern ANALOG_PARAMETERS AnalogParameters;
extern SYSTEM_PARAMETERS SystemParameters;
extern TESTINFORMATION TestInformation;
extern TEST_SENSOR_REZERO SensorRezeroTest;
extern CONVERT_CONCN_TO_RI ConvertConcntoRI;
extern CURVE_PIXELS CurvePixels;
extern TEST_TEMPERATURE_REZERO TemperatureRezeroTest;
extern READ_CURVE SensorRead;
extern ENGINEERING_READ_CURVE EngineeringSensorRead;
extern ANALOG_INPUT_CAL_MAX AnalogInputCalMax;
extern ASSIGN_OUTPUT AssignOutput;
extern GET_LOG_RECORDS GetLogRecords;
extern MODEL Model;
extern ANALOG_INPUT_CAL_MIN AnalogInputCalMin;
extern SENSOR_INITIALIZATION_STATUS SensorInitializationStatus;
extern CONFIRMATION_STATUS ConfirmationStatus;
extern READ_RT_TRACES RtTraces;
extern TEST_STATUS TestStatus;
extern CURVES_SRINIT CurvesSensorInit;
extern CURVES_SRINIT_ADC CurvesSensorInitADC;
extern ASSIGN_INPUT AssignInput;
extern FIRMWAREINFO FirmwareInfo;
extern SENSOR_CALIBRATION SensorCalibration;
extern CONCN_CALIBRATION ConcnCalibration;
extern TEST_ANALOG_OUTPUTS AnalogOutputsTest;
extern ST_LOG_Header LogRecord_Header;
extern MODULE Module;
extern GET_PROFILE_TRACE GetProfileTrace;
extern TEMPERATURE_C TemperatureC;
extern CONFIRMATION_LIMITS ConfirmationLimits[TOTAL_NUM_RECIPES];
extern INPUT_OUTPUT_STATUS InputOutputStatus;
extern JOB_INFO JobInfo;
extern ANALOG_OUTPUT_CAL_MAX AnalogOutputCalMax;
extern EEPROM eeprom;
extern DATAFLASH DataFlash;
extern const SYSTEMNAMES INIT_SYSTEMNAMES;
extern const SERIALNUMBERS INIT_SERIALNUMBERS;
extern const TESTINFORMATION INIT_TESTINFORMATION;
extern const SENSOR_SERIALNUMBER INIT_SENSOR_SERIALNUMBER;
extern const MODEL INIT_MODEL;
extern const FIRMWAREINFO INIT_FIRMWAREINFO;
extern const SYSTEM_PARAMETERS INIT_SYSTEM_PARAMETERS;
extern const ANALOG_PARAMETERS INIT_ANALOG_PARAMETERS;
extern const ENGINEERING_PARAMETERS INIT_ENGINEERING_PARAMETERS;
extern const START_PROFILE INIT_START_PROFILE;
extern const ENGINEERING_READ_CURVE INIT_ENGINEERING_READ_CURVE;
extern const READ_CURVE INIT_READ_CURVE;
extern const READ_CURVE_303 INIT_READ_CURVE_303;
extern const CONFIRMATION_LIMITS INIT_CONFIRMATION_LIMITS;
extern const CYCLE_INFO INIT_CYCLE_INFO;
extern const PASSWORDS INIT_PASSWORDS;
extern const TEST_SENSOR_REZERO INIT_TEST_SENSOR_REZERO;
extern const TEST_ANALOG_OUTPUTS INIT_TEST_ANALOG_OUTPUTS;
extern const TEST_TEMPERATURE_REZERO INIT_TEST_TEMPERATURE_REZERO;
extern const TEST_STEP_RESPONSE INIT_TEST_STEP_RESPONSE;
extern const SENSOR_CALIBRATION INIT_SENSOR_CALIBRATION;
extern const CONCN_CALIBRATION INIT_CONCN_CALIBRATION;
extern const RITEMPCOMP_CALIBRATION INIT_RITEMPCOMP_CALIBRATION;
extern const ANALOG_INPUT_CAL_MIN INIT_ANALOG_INPUT_CAL_MIN;
extern const ANALOG_INPUT_CAL_MAX INIT_ANALOG_INPUT_CAL_MAX;
extern const ANALOG_OUTPUT_CAL_MIN INIT_ANALOG_OUTPUT_CAL_MIN;
extern const ANALOG_OUTPUT_CAL_MAX INIT_ANALOG_OUTPUT_CAL_MAX;
extern const ESENSOR_STATE INIT_ESENSOR_STATE;
extern const CURVE_PIXELS_ADC INIT_CURVE_PIXELS_ADC;
extern const CURVE_PIXELS INIT_CURVE_PIXELS;
extern const CURVES_SRINIT_ADC INIT_CURVES_SRINIT_ADC;
extern const CURVES_SRINIT INIT_CURVES_SRINIT;
extern const ADJUST_LIGHT_INTENSITY INIT_ADJUST_LIGHT_INTENSITY;
extern const ADJUST_CURVE_RI INIT_ADJUST_CURVE_RI;
extern const TEMPERATURE_ADC INIT_TEMPERATURE_ADC;
extern const TEMPERATURE_C INIT_TEMPERATURE_C;
extern const SET_SENSOR_CONNECTED INIT_SET_SENSOR_CONNECTED;
extern const PERSONALITY INIT_PERSONALITY_GV148;




extern void init_commands(void);



// Log table
//

typedef struct log_table_struct {
  int Type;
  int Size;
  void* Log;
  unsigned long Time;
} LOG_TABLE;
extern LOG_TABLE LogTable[];
extern const int SIZE_LOG_TABLE;

extern PERSONALITY* Personality;
extern unsigned short BaudrateTable[];

#endif
